/**
 * odecte obrat danoveho nakladu v tabulce uObraty
 *
 * @author jdrahos
 */
create or replace function mDanNaklDelete() returns trigger as $$
declare
  mena integer;
begin
  select leasing.idMeny into mena from mleasing leasing where OLD.idleasing = leasing.idleasing;

  execute createOrUpdateObraty(OLD.Ucetni, false, OLD.DatUcto, OLD.idZklMdUcet, OLD.idZklDalUcet,
        mena, OLD.idStred, -OLD.sumZkl, -OLD.sumZklMen);

  return OLD;
end;
$$ LANGUAGE plpgsql;

drop trigger if exists mDanNaklDelete on mdannakl;

create trigger mDanNaklDelete before delete on mdannakl
for each row execute procedure mDanNaklDelete();