-----------------------------------------------------------------------
-- Bug 14237 – [WinStrom] Odstraněné přílohy zůstávají v pg_largeobject
-----------------------------------------------------------------------

CREATE OR REPLACE FUNCTION delete_priloha_data_LO() RETURNS trigger AS $BODY$
declare 
  z Record;
begin
  select lo_unlink(old.blobdata) into z;
  return old;
end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;

CREATE TRIGGER delete_priloha_data AFTER DELETE ON wprilohadata
  FOR EACH ROW EXECUTE PROCEDURE delete_priloha_data_LO();

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 113, 't');
