-- trigger na mazani vyrobnich cisle pokud sou vsechny odkazy null
CREATE OR REPLACE FUNCTION svyrobnicisloupdate_delete()
  RETURNS trigger AS
$BODY$    
declare 
begin 
  if(NEW.idPolSkladPrijem is null and NEW.idPolFakPrijem is null and NEW.idPolIntPrijem is null and
     NEW.idPolSkladVydej is null and NEW.idPolFakVydej is null and NEW.idPolIntVydej is null) then
     delete from svyrobnicislo where idvyrobnicislo = NEW.idvyrobnicislo;
  end if;
  return NEW;
end; 
$BODY$
  LANGUAGE 'plpgsql' VOLATILE
  COST 100;
ALTER FUNCTION svyrobnicisloupdate_delete() OWNER TO %firmaRole%;

CREATE TRIGGER svyrobnicisloupdateAfter
  AFTER UPDATE
  ON svyrobnicislo
  FOR EACH ROW
  EXECUTE PROCEDURE svyrobnicisloupdate_delete();

-- zvýšení verze databáze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 132, 't');
