--------------------------------------------------------------------------------
-- Bug 20835 – [WinStrom] Možnost rozúčtování vedlejších nákladů na sklad
--------------------------------------------------------------------------------
-- Bug 21319 – [WinStrom] Pri vyskladneni vyrobku se zmeni prijemka vyroby
--------------------------------------------------------------------------------

ALTER TABLE dpolsklad disable TRIGGER ALL;

ALTER TABLE dpolsklad
    ADD COLUMN cenamjskl numeric(19,6) DEFAULT 0.0 NOT NULL,
    ADD COLUMN cenamjneskl numeric(19,6) DEFAULT 0.0 NOT NULL,
    ADD COLUMN cenamjporiz numeric(19,6) DEFAULT 0.0 NOT NULL,
    ADD COLUMN cenamjnakl numeric(19,6) DEFAULT 0.0 NOT NULL;

UPDATE dpolsklad
SET cenamjporiz = cenamj;

UPDATE dpolsklad
SET cenamjskl = cenamj
WHERE idpolsklad in (select distinct(idtaba) from dvazebtab where modulA = 'SKL' and modulB = 'SKL' and typVazbyK = 'typVazbyDokl.polozkaSklKus');

ALTER TABLE dpolsklad enable TRIGGER ALL;

--------------------------------------------------------------------------------

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 418, 't', %appVersion%, clock_timestamp());