--------------------------------------------------------------------------------
-- Bug 30987 – [WinStrom] - Výsledovka pro 410/2009 a 504/2002 - dokončit akceptaci činností
--------------------------------------------------------------------------------

ALTER TABLE ucinnost ADD COLUMN typcinnostik character varying(50);

-- uprava sestav u neziskovek
create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 4) then

-- sestavy
UPDATE usestavy SET zobrazit1 = true, zobrazit2 = true, zobrazit3 = false, zobrazit4 = true, sloupec3sum12 = false, sloupec6sum45 = false WHERE uuid = 'CZ_NEZISKOVE_ROZVAHA_2010';
UPDATE usestavy SET nazevsloup1 = 'Hlavní činnost', nazevsloup2 = 'Hospodářská', zobrazit2 = true, nazevsloup4 = 'Hlavní činnost - min.úč.obd.', nazevsloup5 = 'Hospodářská - min.úč.obd.', zobrazit5 = true WHERE uuid = 'CZ_NEZISKOVE_VYSLEDOVKA_2010';

UPDATE usesstdpred SET prevratznam = true WHERE idsesstdpred = 20197;

  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 668, 't', %appVersion%, clock_timestamp());
