--------------------------------------------------------------------------------
-- Bug 30821 – [WinStrom] - paragraf 92 - legislativní demence
--------------------------------------------------------------------------------

ALTER TABLE dpolfak ADD COLUMN idsazbydphpuv integer;
ALTER TABLE dpolint ADD COLUMN idsazbydphpuv integer;
ALTER TABLE dpolobch ADD COLUMN idsazbydphpuv integer;
ALTER TABLE dpolsklad ADD COLUMN idsazbydphpuv integer;

ALTER TABLE dpolfak ADD CONSTRAINT dpolfak_idsazbydphpuv FOREIGN KEY (idsazbydphpuv)
  REFERENCES usazbydph (idsazbydph) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE dpolint ADD CONSTRAINT dpolint_idsazbydphpuv FOREIGN KEY (idsazbydphpuv)
  REFERENCES usazbydph (idsazbydph) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE dpolobch ADD CONSTRAINT dpolobch_idsazbydphpuv FOREIGN KEY (idsazbydphpuv)
  REFERENCES usazbydph (idsazbydph) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE dpolsklad ADD CONSTRAINT dpolsklad_idsazbydphpuv FOREIGN KEY (idsazbydphpuv)
  REFERENCES usazbydph (idsazbydph) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX dPolFak_IdSazbyDphPuv_index ON dPolFak USING btree (IdSazbyDphPuv);
CREATE INDEX dPolInt_IdSazbyDphPuv_index ON dPolInt USING btree (IdSazbyDphPuv);
CREATE INDEX dPolObch_IdSazbyDphPuv_index ON dPolObch USING btree (IdSazbyDphPuv);
CREATE INDEX dPolSklad_IdSazbyDphPuv_index ON dPolSklad USING btree (IdSazbyDphPuv);

-- zvyseni verze databaze
INSERT INTO dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  VALUES (nextval('seq_dbversion'), 726, 't', %appVersion%, clock_timestamp());
