--------------------------------------------------------------------------
-- Bug 44290 - Nový řádek kontrolního hlášení A.4.-A.5.
-- Bug 44510 - Nový řádek kontrolního hlášení A.4-5.AUTO
--------------------------------------------------------------------------

INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
VALUES ('2015-11-10 15:33:00.000', 'A.4-5.AUTO', 'A4A5', 'Uskutečněná zdanitelná plnění skupiny A.4. nebo A.5. (automaticky)', NULL, NULL, NULL, 'Uskutečněná zdanitelná plnění skupiny A.4. (nad 10 000 Kč) nebo A.5. (do 10 000 Kč včetně). Aplikace zvolí automaticky skupinu "A.4.-0" nebo "A.5." s ohledem na částku a české DIČ na dokladu. Pro speciální případy je možné nastavit skupinu ručně.', NULL, true, 9999, 0, (select IdStatu from aStaty where uuid  like '%_CZ'), false, false,  'CZ A.4.A.5');

INSERT INTO uclenkonvykdph (lastupdate, kod, kodTransakce, nazev, nazeva, nazevb, nazevc, popis, poznam, show, platido, platiod, idstatu, vyplnCisKod, vyplnDruh, uuid)
VALUES ('2015-11-10 15:33:00.000', 'B.2-3.AUTO', 'B2B3', 'Přijatá zdanitelná plnění skupiny B.2. nebo B.3. dle částky (automaticky)', NULL, NULL, NULL, 'Přijatá zdanitelná plnění skupiny B.2. (nad 10 000 Kč) nebo B.3. (do 10 000 Kč včetně). Aplikace zvolí automaticky skupinu "B.2." nebo "B.3." s ohledem pouze na částku dokladu. Pro speciální případy je možné nastavit skupinu ručně.', NULL, true, 9999, 0, (select IdStatu from aStaty where uuid  like '%_CZ'), false, false,  'CZ B.2.B.3');

-- nastaveni verze vytvorene databaze - nebudou se provadet upgrady s mensi nebo stejnou verzi
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 963, 't', %appVersion%, clock_timestamp());

