--Bug 44424 - Na dokladech chybí constraint na 2. sníženou sazbu DPH

ALTER TABLE ddoklfak   DISABLE TRIGGER USER;
ALTER TABLE ddoklint   DISABLE TRIGGER USER;
ALTER TABLE ddoklobch  DISABLE TRIGGER USER;
ALTER TABLE ddoklsklad DISABLE TRIGGER USER;

-- vymažeme reference na případné neexistující sazby (jinak by přidání constraint padalo)
UPDATE ddoklfak   SET idsazbydphsniz2 = NULL WHERE idsazbydphsniz2 NOT IN (SELECT idsazbydph FROM usazbydph);
UPDATE ddoklint   SET idsazbydphsniz2 = NULL WHERE idsazbydphsniz2 NOT IN (SELECT idsazbydph FROM usazbydph);
UPDATE ddoklobch  SET idsazbydphsniz2 = NULL WHERE idsazbydphsniz2 NOT IN (SELECT idsazbydph FROM usazbydph);
UPDATE ddoklsklad SET idsazbydphsniz2 = NULL WHERE idsazbydphsniz2 NOT IN (SELECT idsazbydph FROM usazbydph);

ALTER TABLE ONLY ddoklfak   ADD CONSTRAINT   ddoklfak_idsazbydphsniz2 FOREIGN KEY (idsazbydphsniz2) REFERENCES usazbydph(idsazbydph);
ALTER TABLE ONLY ddoklint   ADD CONSTRAINT   ddoklint_idsazbydphsniz2 FOREIGN KEY (idsazbydphsniz2) REFERENCES usazbydph(idsazbydph);
ALTER TABLE ONLY ddoklobch  ADD CONSTRAINT  ddoklobch_idsazbydphsniz2 FOREIGN KEY (idsazbydphsniz2) REFERENCES usazbydph(idsazbydph);
ALTER TABLE ONLY ddoklsklad ADD CONSTRAINT ddoklsklad_idsazbydphsniz2 FOREIGN KEY (idsazbydphsniz2) REFERENCES usazbydph(idsazbydph);

ALTER TABLE ddoklfak   ENABLE TRIGGER USER;
ALTER TABLE ddoklint   ENABLE TRIGGER USER;
ALTER TABLE ddoklobch  ENABLE TRIGGER USER;
ALTER TABLE ddoklsklad ENABLE TRIGGER USER;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 972, 't', %appVersion%, clock_timestamp());
