--------------------------------------------------------------------------------------------------------------------
-- Bug 44660 - Načítání výpisů je pomalé - přidání indexů
--------------------------------------------------------------------------------------------------------------------

-- hledání dokladu podle čísla výpisu
CREATE INDEX ddoklint_cisSouhrnne_bsp_ban_index ON ddoklint (idBsp, upper(cast(cisSouhrnne as text))) where upper(cast(Modul as text))='BAN' and zapocet = false;
-- hledání dokladu podle hashe výpisu
CREATE INDEX ddoklint_vypisHash_bsp_ban_index ON ddoklint(vypisHash, idbsp) where upper(cast(Modul as text))='BAN';

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 982, 't', %appVersion%, clock_timestamp());