<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE tutorials [
    <!ENTITY under "">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>

    
    <xsl:output method="xml" indent="yes" encoding="utf-8" />
    
    <xsl:template match="saldo-311xxx">
        <winstrom version="1.0">
          <!--<ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311100</id>
            <id>code:311100</id>
            <kod>311100</kod>
          </ucet>
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311202</id>
            <id>code:311202</id>
            <kod>311202</kod>
          </ucet>
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311203</id>
            <id>code:311203</id>
            <kod>311203</kod>
          </ucet>-->
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311500</id>
            <id>code:311500</id>
            <kod>311500</kod>
          </ucet>
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311600</id>
            <id>code:311600</id>
            <kod>311600</kod>
          </ucet>
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311700</id>
            <id>code:311700</id>
            <kod>311700</kod>
          </ucet>
          <ucet update="ignore">
            <id>ext:tigra:PHL-MIGRACE:311800</id>
            <id>code:311800</id>
            <kod>311800</kod>
          </ucet>
          <ucetni-obdobi update="ignore">
            <id>code:2011</id>
            <platiOdData>2011-01-01+01:00</platiOdData>
            <platiDoData>2011-12-31+01:00</platiDoData>
            <rokProRadu>2011</rokProRadu>
          </ucetni-obdobi>
            <typ-pohledavky update="ignore">
               <id>ext:tigra:PHL-MIGRACE</id>
               <id>code:PHL-MIGRACE</id>
               <kod>PHL-MIGRACE</kod>
               <nazev>Migrované neuhrazené pohledávky</nazev>
            </typ-pohledavky>
            <xsl:apply-templates select="pol"/> 
        </winstrom>
    </xsl:template>


<!--
/usr/share/flexibee/bin/flexibee2xml -t knihavf-in.xslt -x knihavf.xml -o faktury-vydane.xml

.\flexibee2xml.exe -t adresar.in.xslt -x adresar.out.xml -o vystup.xml 2>a.out
kod, nazev
-->

<!--

<pol>
    <n>1</n>
    <ucet>311100</ucet>
    <partner_kod>ABKOZMETIK</partner_kod>
    <partner_nazev>AB KOZMETIKA a.s.</partner_nazev>
    <partner_ico></partner_ico>
    <parc>22201356</parc>
    <mena>KČ</mena>
    <md_kc>4645.00</md_kc>
    <dal_kc>0.00</dal_kc>
    <sal_kc>4645.00</sal_kc>
    <md_dev>4645.00</md_dev>
    <dal_dev>0.00</dal_dev>
    <sal_dev>4645.00</sal_dev>
    <splatnost>21.06.2002</splatnost>
    <uhrada></uhrada>
</pol>

-->

    <xsl:template match="pol">
      <xsl:if test="parc != ' '">
        <xsl:if test="partner_kod != '' and partner_kod != ' ' and partner_ico != '' and partner_ico != ' '">
          <adresar update="ignore">
            <id>in:<xsl:value-of select="partner_ico"/></id>
            <!--<id>code:<xsl:value-of select="partner_kod"/></id>-->
            <id>ext:tigra:ADRESAR:<!--<xsl:value-of select="partner_kod"/>:--><xsl:value-of select="partner_ico"/></id>
            <kod><xsl:value-of select="partner_kod"/>-MIGRACE</kod>
            <ic><xsl:value-of select="partner_ico"/></ic>
            <xsl:choose>
              <xsl:when test="partner_nazev != '' and partner_nazev != ' '">
                <nazev><xsl:value-of select="partner_nazev"/></nazev>
              </xsl:when>
              <xsl:otherwise>
                <nazev><xsl:value-of select="partner_kod"/></nazev>
              </xsl:otherwise>
            </xsl:choose>
          </adresar>
        </xsl:if>
        <pohledavka>
          <id>ext:tigra:PHL-MIGRACE:<xsl:value-of select="parc"/>:<xsl:value-of select="n"/></id>
          <id>code:<xsl:value-of select="parc"/>/<xsl:value-of select="n"/></id>
          <kod><xsl:value-of select="parc"/>/<xsl:value-of select="n"/></kod>
          <typDokl>code:PHL-MIGRACE</typDokl>
<!--
Poprosíme vás o navedení salda na nové analytiky následovně:
311100 = 311001
311203 = 311002
311202 = 311003
-->
          <xsl:choose>
            <xsl:when test="ucet = '311100'">
              <primUcet if-not-found="null">code:311001</primUcet>
            </xsl:when>
            <xsl:when test="ucet = '311203'">
              <primUcet if-not-found="null">code:311002</primUcet>
            </xsl:when>
            <xsl:when test="ucet = '311202'">
              <primUcet if-not-found="null">code:311003</primUcet>
            </xsl:when>
            <xsl:otherwise>
              <primUcet>code:<xsl:value-of select="ucet"/></primUcet>
            </xsl:otherwise>
          </xsl:choose>
          <primUcet>code:<xsl:value-of select="ucet"/></primUcet>
          <protiUcet>code:701000</protiUcet>
          <stredisko>code:C</stredisko>
          <!--<datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(splatnost, 'd.M.y')"/></datVyst>-->
          <datVyst>2011-12-31+01:00</datVyst>
          <datSplat><xsl:value-of select="java:flexibee.Tool.parseDate(splatnost, 'd.M.y')"/></datSplat>
          <xsl:if test="partner_ico != '' and partner_ico != ' '">
            <firma if-not-found="null">in:<xsl:value-of select="partner_ico"/></firma>
          </xsl:if>
          <nazFirmy><xsl:value-of select="partner_nazev"/></nazFirmy>
          <ic><xsl:value-of select="partner_ico"/></ic>
          <bezPolozek>true</bezPolozek>
          <sumOsv><xsl:value-of select="sal_kc"/></sumOsv>
          <sumCelkem><xsl:value-of select="sal_kc"/></sumCelkem>
          <xsl:if test="mena != 'KČ'">
            <sumOsvMen><xsl:value-of select="sal_dev"/></sumOsvMen>
            <sumCelkemMen><xsl:value-of select="sal_dev"/></sumCelkemMen>
            <mena>code:<xsl:value-of select="mena"/></mena>
          </xsl:if>
          <varSym><xsl:value-of select="parc"/></varSym>
        </pohledavka>
      </xsl:if>
    </xsl:template>

</xsl:stylesheet>
