CREATE OR REPLACE FUNCTION create_or_drop_ucto_changes_triggers(docreate boolean)
  RETURNS void AS
$BODY$
BEGIN
  -- Na nektere z tabulek muze byt uvalen zamek (napr. typu AccessShareLock)
  LOCK TABLE aadresar IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE abanspoj IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE akontakty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE amisturc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE anaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE apsc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE askupfir IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE asmerkod IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE astaty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypnaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE audalosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE catribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenhlad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cdodavatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cekokom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ckusovnik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE codberatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpodobne IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpoplatky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cprislusenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE csady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupzboz IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cstavcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypatribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypzbozi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dautotisk IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dbsp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dcislobal IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformadopravy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhrady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradycis IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradyzauc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dkonsym IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE drady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dradyrok IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dsmlouvy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dstavsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypdokl IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dvazebtab IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idodpodm IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idruhdopr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iintrmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ikrajurc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE inomen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iobchtrans IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE izvlpoh IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nnastav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nucetobdobi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE skarty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE smapsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE spolinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE srezervace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sumisteni IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislo IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislohlav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ucinnost IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclendph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclenkonvykdph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE udphpren IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ukurzy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE umeny IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uradekpriznanidph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usazbydph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesradky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesrozpaduce IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesstdpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usessumace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesuzivpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usestavy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustavzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustducty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustrediska IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypucop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uucty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uvyhzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactclenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactdefinice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactskupina IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wadrcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wautcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wcolumn IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdataprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyprop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wfiltry IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wkonektor IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE woscert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpriloha IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpristprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wreport IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wrole IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wsablona IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wskupvybklic IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wstrom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wtexty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzivatel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazba IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazbatyp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvybklice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wxslt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzamky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzastupnosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  
  IF docreate THEN
    CREATE TRIGGER aadresarextidsaver
        BEFORE DELETE ON aadresar
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER aadresarchanges
        AFTER UPDATE OR INSERT OR DELETE ON aadresar
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER abanspojextidsaver
        BEFORE DELETE ON abanspoj
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER abanspojchanges
        AFTER UPDATE OR INSERT OR DELETE ON abanspoj
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER akontaktyextidsaver
        BEFORE DELETE ON akontakty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER akontaktychanges
        AFTER UPDATE OR INSERT OR DELETE ON akontakty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER amisturcextidsaver
        BEFORE DELETE ON amisturc
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER amisturcchanges
        AFTER UPDATE OR INSERT OR DELETE ON amisturc
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER anaklaktextidsaver
        BEFORE DELETE ON anaklakt
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER anaklaktchanges
        AFTER UPDATE OR INSERT OR DELETE ON anaklakt
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER apscextidsaver
        BEFORE DELETE ON apsc
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER apscchanges
        AFTER UPDATE OR INSERT OR DELETE ON apsc
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER askupfirextidsaver
        BEFORE DELETE ON askupfir
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER askupfirchanges
        AFTER UPDATE OR INSERT OR DELETE ON askupfir
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER asmerkodextidsaver
        BEFORE DELETE ON asmerkod
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER asmerkodchanges
        AFTER UPDATE OR INSERT OR DELETE ON asmerkod
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER astatyextidsaver
        BEFORE DELETE ON astaty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER astatychanges
        AFTER UPDATE OR INSERT OR DELETE ON astaty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER atypaktextidsaver
        BEFORE DELETE ON atypakt
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER atypaktchanges
        AFTER UPDATE OR INSERT OR DELETE ON atypakt
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER atypnaklaktextidsaver
        BEFORE DELETE ON atypnaklakt
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER atypnaklaktchanges
        AFTER UPDATE OR INSERT OR DELETE ON atypnaklakt
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER audalostiextidsaver
        BEFORE DELETE ON audalosti
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER audalostichanges
        AFTER UPDATE OR INSERT OR DELETE ON audalosti
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER catributextidsaver
        BEFORE DELETE ON catribut
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER catributchanges
        AFTER UPDATE OR INSERT OR DELETE ON catribut
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ccenhladextidsaver
        BEFORE DELETE ON ccenhlad
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ccenhladchanges
        AFTER UPDATE OR INSERT OR DELETE ON ccenhlad
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ccenikextidsaver
        BEFORE DELETE ON ccenik
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ccenikchanges
        AFTER UPDATE OR INSERT OR DELETE ON ccenik
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cdodavateleextidsaver
        BEFORE DELETE ON cdodavatele
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cdodavatelechanges
        AFTER UPDATE OR INSERT OR DELETE ON cdodavatele
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cekokomextidsaver
        BEFORE DELETE ON cekokom
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cekokomchanges
        AFTER UPDATE OR INSERT OR DELETE ON cekokom
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ckusovnikextidsaver
        BEFORE DELETE ON ckusovnik
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ckusovnikchanges
        AFTER UPDATE OR INSERT OR DELETE ON ckusovnik
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cmerjedextidsaver
        BEFORE DELETE ON cmerjed
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cmerjedchanges
        AFTER UPDATE OR INSERT OR DELETE ON cmerjed
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER codberateleextidsaver
        BEFORE DELETE ON codberatele
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER codberatelechanges
        AFTER UPDATE OR INSERT OR DELETE ON codberatele
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cpodobneextidsaver
        BEFORE DELETE ON cpodobne
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cpodobnechanges
        AFTER UPDATE OR INSERT OR DELETE ON cpodobne
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cpoplatkyextidsaver
        BEFORE DELETE ON cpoplatky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cpoplatkychanges
        AFTER UPDATE OR INSERT OR DELETE ON cpoplatky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cprislusenstviextidsaver
        BEFORE DELETE ON cprislusenstvi
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cprislusenstvichanges
        AFTER UPDATE OR INSERT OR DELETE ON cprislusenstvi
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER csadyextidsaver
        BEFORE DELETE ON csady
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER csadychanges
        AFTER UPDATE OR INSERT OR DELETE ON csady
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cskupcenextidsaver
        BEFORE DELETE ON cskupcen
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cskupcenchanges
        AFTER UPDATE OR INSERT OR DELETE ON cskupcen
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cskupzbozextidsaver
        BEFORE DELETE ON cskupzboz
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cskupzbozchanges
        AFTER UPDATE OR INSERT OR DELETE ON cskupzboz
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cstavcenextidsaver
        BEFORE DELETE ON cstavcen
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER cstavcenchanges
        AFTER UPDATE OR INSERT OR DELETE ON cstavcen
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ctypatributextidsaver
        BEFORE DELETE ON ctypatribut
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ctypatributchanges
        AFTER UPDATE OR INSERT OR DELETE ON ctypatribut
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ctypzboziextidsaver
        BEFORE DELETE ON ctypzbozi
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ctypzbozichanges
        AFTER UPDATE OR INSERT OR DELETE ON ctypzbozi
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dautotiskextidsaver
        BEFORE DELETE ON dautotisk
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dautotiskchanges
        AFTER UPDATE OR INSERT OR DELETE ON dautotisk
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dbspextidsaver
        BEFORE DELETE ON dbsp
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dbspchanges
        AFTER UPDATE OR INSERT OR DELETE ON dbsp
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dcislobalextidsaver
        BEFORE DELETE ON dcislobal
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dcislobalchanges
        AFTER UPDATE OR INSERT OR DELETE ON dcislobal
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklfakextidsaver
        BEFORE DELETE ON ddoklfak
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ddoklfakchanges
        AFTER UPDATE OR INSERT OR DELETE ON ddoklfak
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklintextidsaver
        BEFORE DELETE ON ddoklint
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ddoklintchanges
        AFTER UPDATE OR INSERT OR DELETE ON ddoklint
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklobchextidsaver
        BEFORE DELETE ON ddoklobch
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ddoklobchchanges
        AFTER UPDATE OR INSERT OR DELETE ON ddoklobch
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklskladextidsaver
        BEFORE DELETE ON ddoklsklad
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ddoklskladchanges
        AFTER UPDATE OR INSERT OR DELETE ON ddoklsklad
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformadopravyextidsaver
        BEFORE DELETE ON dformadopravy
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dformadopravychanges
        AFTER UPDATE OR INSERT OR DELETE ON dformadopravy
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradyextidsaver
        BEFORE DELETE ON dformauhrady
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dformauhradychanges
        AFTER UPDATE OR INSERT OR DELETE ON dformauhrady
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradycisextidsaver
        BEFORE DELETE ON dformauhradycis
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dformauhradycischanges
        AFTER UPDATE OR INSERT OR DELETE ON dformauhradycis
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradyzaucextidsaver
        BEFORE DELETE ON dformauhradyzauc
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dformauhradyzaucchanges
        AFTER UPDATE OR INSERT OR DELETE ON dformauhradyzauc
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dkonsymextidsaver
        BEFORE DELETE ON dkonsym
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dkonsymchanges
        AFTER UPDATE OR INSERT OR DELETE ON dkonsym
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolfakextidsaver
        BEFORE DELETE ON dpolfak
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolfakchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolfak
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolintextidsaver
        BEFORE DELETE ON dpolint
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolintchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolint
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolobchextidsaver
        BEFORE DELETE ON dpolobch
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolobchchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolobch
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolprikazuhrextidsaver
        BEFORE DELETE ON dpolprikazuhr
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolprikazuhrchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolprikazuhr
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolskladextidsaver
        BEFORE DELETE ON dpolsklad
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolskladchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolsklad
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolsmlextidsaver
        BEFORE DELETE ON dpolsml
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dpolsmlchanges
        AFTER UPDATE OR INSERT OR DELETE ON dpolsml
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dprikazuhrextidsaver
        BEFORE DELETE ON dprikazuhr
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dprikazuhrchanges
        AFTER UPDATE OR INSERT OR DELETE ON dprikazuhr
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dradyextidsaver
        BEFORE DELETE ON drady
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dradychanges
        AFTER UPDATE OR INSERT OR DELETE ON drady
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dradyrokextidsaver
        BEFORE DELETE ON dradyrok
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dradyrokchanges
        AFTER UPDATE OR INSERT OR DELETE ON dradyrok
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dsmlouvyextidsaver
        BEFORE DELETE ON dsmlouvy
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dsmlouvychanges
        AFTER UPDATE OR INSERT OR DELETE ON dsmlouvy
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dstavsmlextidsaver
        BEFORE DELETE ON dstavsml
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dstavsmlchanges
        AFTER UPDATE OR INSERT OR DELETE ON dstavsml
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dtypdoklextidsaver
        BEFORE DELETE ON dtypdokl
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dtypdoklchanges
        AFTER UPDATE OR INSERT OR DELETE ON dtypdokl
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dtypsmlextidsaver
        BEFORE DELETE ON dtypsml
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dtypsmlchanges
        AFTER UPDATE OR INSERT OR DELETE ON dtypsml
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dvazebtabextidsaver
        BEFORE DELETE ON dvazebtab
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER dvazebtabchanges
        AFTER UPDATE OR INSERT OR DELETE ON dvazebtab
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER idodpodmextidsaver
        BEFORE DELETE ON idodpodm
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER idodpodmchanges
        AFTER UPDATE OR INSERT OR DELETE ON idodpodm
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER idruhdoprextidsaver
        BEFORE DELETE ON idruhdopr
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER idruhdoprchanges
        AFTER UPDATE OR INSERT OR DELETE ON idruhdopr
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER iintrmerjedextidsaver
        BEFORE DELETE ON iintrmerjed
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER iintrmerjedchanges
        AFTER UPDATE OR INSERT OR DELETE ON iintrmerjed
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ikrajurcextidsaver
        BEFORE DELETE ON ikrajurc
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ikrajurcchanges
        AFTER UPDATE OR INSERT OR DELETE ON ikrajurc
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER inomenextidsaver
        BEFORE DELETE ON inomen
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER inomenchanges
        AFTER UPDATE OR INSERT OR DELETE ON inomen
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER iobchtransextidsaver
        BEFORE DELETE ON iobchtrans
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER iobchtranschanges
        AFTER UPDATE OR INSERT OR DELETE ON iobchtrans
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER izvlpohextidsaver
        BEFORE DELETE ON izvlpoh
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER izvlpohchanges
        AFTER UPDATE OR INSERT OR DELETE ON izvlpoh
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER nnastavextidsaver
        BEFORE DELETE ON nnastav
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER nnastavchanges
        AFTER UPDATE OR INSERT OR DELETE ON nnastav
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER nucetobdobiextidsaver
        BEFORE DELETE ON nucetobdobi
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER nucetobdobichanges
        AFTER UPDATE OR INSERT OR DELETE ON nucetobdobi
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER sinventuraextidsaver
        BEFORE DELETE ON sinventura
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER sinventurachanges
        AFTER UPDATE OR INSERT OR DELETE ON sinventura
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER skartyextidsaver
        BEFORE DELETE ON skarty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER skartychanges
        AFTER UPDATE OR INSERT OR DELETE ON skarty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER smapskladextidsaver
        BEFORE DELETE ON smapsklad
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER smapskladchanges
        AFTER UPDATE OR INSERT OR DELETE ON smapsklad
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER spolinventuraextidsaver
        BEFORE DELETE ON spolinventura
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER spolinventurachanges
        AFTER UPDATE OR INSERT OR DELETE ON spolinventura
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER srezervaceextidsaver
        BEFORE DELETE ON srezervace
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER srezervacechanges
        AFTER UPDATE OR INSERT OR DELETE ON srezervace
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER sumisteniextidsaver
        BEFORE DELETE ON sumisteni
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER sumistenichanges
        AFTER UPDATE OR INSERT OR DELETE ON sumisteni
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER svyrobnicisloextidsaver
        BEFORE DELETE ON svyrobnicislo
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER svyrobnicislochanges
        AFTER UPDATE OR INSERT OR DELETE ON svyrobnicislo
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER svyrobnicislohlavextidsaver
        BEFORE DELETE ON svyrobnicislohlav
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER svyrobnicislohlavchanges
        AFTER UPDATE OR INSERT OR DELETE ON svyrobnicislohlav
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ucinnostextidsaver
        BEFORE DELETE ON ucinnost
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ucinnostchanges
        AFTER UPDATE OR INSERT OR DELETE ON ucinnost
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uclendphextidsaver
        BEFORE DELETE ON uclendph
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uclendphchanges
        AFTER UPDATE OR INSERT OR DELETE ON uclendph
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uclenkonvykdphextidsaver
        BEFORE DELETE ON uclenkonvykdph
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uclenkonvykdphchanges
        AFTER UPDATE OR INSERT OR DELETE ON uclenkonvykdph
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER udphprenextidsaver
        BEFORE DELETE ON udphpren
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER udphprenchanges
        AFTER UPDATE OR INSERT OR DELETE ON udphpren
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ukurzyextidsaver
        BEFORE DELETE ON ukurzy
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ukurzychanges
        AFTER UPDATE OR INSERT OR DELETE ON ukurzy
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER umenyextidsaver
        BEFORE DELETE ON umeny
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER umenychanges
        AFTER UPDATE OR INSERT OR DELETE ON umeny
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uradekpriznanidphextidsaver
        BEFORE DELETE ON uradekpriznanidph
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uradekpriznanidphchanges
        AFTER UPDATE OR INSERT OR DELETE ON uradekpriznanidph
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usazbydphextidsaver
        BEFORE DELETE ON usazbydph
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usazbydphchanges
        AFTER UPDATE OR INSERT OR DELETE ON usazbydph
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesradkyextidsaver
        BEFORE DELETE ON usesradky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usesradkychanges
        AFTER UPDATE OR INSERT OR DELETE ON usesradky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesrozpaduceextidsaver
        BEFORE DELETE ON usesrozpaduce
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usesrozpaducechanges
        AFTER UPDATE OR INSERT OR DELETE ON usesrozpaduce
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesstdpredextidsaver
        BEFORE DELETE ON usesstdpred
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usesstdpredchanges
        AFTER UPDATE OR INSERT OR DELETE ON usesstdpred
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usessumaceextidsaver
        BEFORE DELETE ON usessumace
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usessumacechanges
        AFTER UPDATE OR INSERT OR DELETE ON usessumace
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesuzivpredextidsaver
        BEFORE DELETE ON usesuzivpred
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usesuzivpredchanges
        AFTER UPDATE OR INSERT OR DELETE ON usesuzivpred
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usestavyextidsaver
        BEFORE DELETE ON usestavy
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER usestavychanges
        AFTER UPDATE OR INSERT OR DELETE ON usestavy
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustavzakazkyextidsaver
        BEFORE DELETE ON ustavzakazky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ustavzakazkychanges
        AFTER UPDATE OR INSERT OR DELETE ON ustavzakazky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustductyextidsaver
        BEFORE DELETE ON ustducty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ustductychanges
        AFTER UPDATE OR INSERT OR DELETE ON ustducty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustrediskaextidsaver
        BEFORE DELETE ON ustrediska
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER ustrediskachanges
        AFTER UPDATE OR INSERT OR DELETE ON ustrediska
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER utypucopextidsaver
        BEFORE DELETE ON utypucop
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER utypucopchanges
        AFTER UPDATE OR INSERT OR DELETE ON utypucop
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER utypzakazkyextidsaver
        BEFORE DELETE ON utypzakazky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER utypzakazkychanges
        AFTER UPDATE OR INSERT OR DELETE ON utypzakazky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uuctyextidsaver
        BEFORE DELETE ON uucty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uuctychanges
        AFTER UPDATE OR INSERT OR DELETE ON uucty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uvyhzakazkyextidsaver
        BEFORE DELETE ON uvyhzakazky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uvyhzakazkychanges
        AFTER UPDATE OR INSERT OR DELETE ON uvyhzakazky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uzakazkyextidsaver
        BEFORE DELETE ON uzakazky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER uzakazkychanges
        AFTER UPDATE OR INSERT OR DELETE ON uzakazky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactclenstviextidsaver
        BEFORE DELETE ON wactclenstvi
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wactclenstvichanges
        AFTER UPDATE OR INSERT OR DELETE ON wactclenstvi
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactdefiniceextidsaver
        BEFORE DELETE ON wactdefinice
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wactdefinicechanges
        AFTER UPDATE OR INSERT OR DELETE ON wactdefinice
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactskupinaextidsaver
        BEFORE DELETE ON wactskupina
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wactskupinachanges
        AFTER UPDATE OR INSERT OR DELETE ON wactskupina
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wadrcertextidsaver
        BEFORE DELETE ON wadrcert
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wadrcertchanges
        AFTER UPDATE OR INSERT OR DELETE ON wadrcert
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wautcertextidsaver
        BEFORE DELETE ON wautcert
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wautcertchanges
        AFTER UPDATE OR INSERT OR DELETE ON wautcert
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wcolumnextidsaver
        BEFORE DELETE ON wcolumn
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wcolumnchanges
        AFTER UPDATE OR INSERT OR DELETE ON wcolumn
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdatapravaextidsaver
        BEFORE DELETE ON wdataprava
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wdatapravachanges
        AFTER UPDATE OR INSERT OR DELETE ON wdataprava
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazyextidsaver
        BEFORE DELETE ON wdotazy
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wdotazychanges
        AFTER UPDATE OR INSERT OR DELETE ON wdotazy
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazyparamextidsaver
        BEFORE DELETE ON wdotazyparam
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wdotazyparamchanges
        AFTER UPDATE OR INSERT OR DELETE ON wdotazyparam
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazypropextidsaver
        BEFORE DELETE ON wdotazyprop
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wdotazypropchanges
        AFTER UPDATE OR INSERT OR DELETE ON wdotazyprop
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wfiltryextidsaver
        BEFORE DELETE ON wfiltry
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wfiltrychanges
        AFTER UPDATE OR INSERT OR DELETE ON wfiltry
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wkonektorextidsaver
        BEFORE DELETE ON wkonektor
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wkonektorchanges
        AFTER UPDATE OR INSERT OR DELETE ON wkonektor
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER woscertextidsaver
        BEFORE DELETE ON woscert
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER woscertchanges
        AFTER UPDATE OR INSERT OR DELETE ON woscert
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wparamextidsaver
        BEFORE DELETE ON wparam
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wparamchanges
        AFTER UPDATE OR INSERT OR DELETE ON wparam
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wprilohaextidsaver
        BEFORE DELETE ON wpriloha
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wprilohachanges
        AFTER UPDATE OR INSERT OR DELETE ON wpriloha
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wpristpravaextidsaver
        BEFORE DELETE ON wpristprava
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wpristpravachanges
        AFTER UPDATE OR INSERT OR DELETE ON wpristprava
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wreportextidsaver
        BEFORE DELETE ON wreport
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wreportchanges
        AFTER UPDATE OR INSERT OR DELETE ON wreport
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wroleextidsaver
        BEFORE DELETE ON wrole
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wrolechanges
        AFTER UPDATE OR INSERT OR DELETE ON wrole
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wsablonaextidsaver
        BEFORE DELETE ON wsablona
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wsablonachanges
        AFTER UPDATE OR INSERT OR DELETE ON wsablona
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wskupvybklicextidsaver
        BEFORE DELETE ON wskupvybklic
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wskupvybklicchanges
        AFTER UPDATE OR INSERT OR DELETE ON wskupvybklic
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wstromextidsaver
        BEFORE DELETE ON wstrom
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wstromchanges
        AFTER UPDATE OR INSERT OR DELETE ON wstrom
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wtextyextidsaver
        BEFORE DELETE ON wtexty
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wtextychanges
        AFTER UPDATE OR INSERT OR DELETE ON wtexty
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wuzelextidsaver
        BEFORE DELETE ON wuzel
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wuzelchanges
        AFTER UPDATE OR INSERT OR DELETE ON wuzel
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wuzivatelextidsaver
        BEFORE DELETE ON wuzivatel
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wuzivatelchanges
        AFTER UPDATE OR INSERT OR DELETE ON wuzivatel
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazuzelextidsaver
        BEFORE DELETE ON wvazuzel
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wvazuzelchanges
        AFTER UPDATE OR INSERT OR DELETE ON wvazuzel
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazbaextidsaver
        BEFORE DELETE ON wvazba
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wvazbachanges
        AFTER UPDATE OR INSERT OR DELETE ON wvazba
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazbatypextidsaver
        BEFORE DELETE ON wvazbatyp
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wvazbatypchanges
        AFTER UPDATE OR INSERT OR DELETE ON wvazbatyp
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvybkliceextidsaver
        BEFORE DELETE ON wvybklice
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wvybklicechanges
        AFTER UPDATE OR INSERT OR DELETE ON wvybklice
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wxsltextidsaver
        BEFORE DELETE ON wxslt
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wxsltchanges
        AFTER UPDATE OR INSERT OR DELETE ON wxslt
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wzamkyextidsaver
        BEFORE DELETE ON wzamky
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wzamkychanges
        AFTER UPDATE OR INSERT OR DELETE ON wzamky
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wzastupnostiextidsaver
        BEFORE DELETE ON wzastupnosti
        FOR EACH ROW EXECUTE PROCEDURE saveextid();

    CREATE CONSTRAINT TRIGGER wzastupnostichanges
        AFTER UPDATE OR INSERT OR DELETE ON wzastupnosti
        DEFERRABLE INITIALLY DEFERRED
        FOR EACH ROW EXECUTE PROCEDURE logchanges();

  ELSE
    PERFORM invoke_deferred_changes_triggers_immediate();

    DROP TRIGGER IF EXISTS aadresarchanges ON aadresar;
    DROP TRIGGER IF EXISTS aadresarextidsaver ON aadresar;
    DROP TRIGGER IF EXISTS abanspojchanges ON abanspoj;
    DROP TRIGGER IF EXISTS abanspojextidsaver ON abanspoj;
    DROP TRIGGER IF EXISTS akontaktychanges ON akontakty;
    DROP TRIGGER IF EXISTS akontaktyextidsaver ON akontakty;
    DROP TRIGGER IF EXISTS amisturcchanges ON amisturc;
    DROP TRIGGER IF EXISTS amisturcextidsaver ON amisturc;
    DROP TRIGGER IF EXISTS anaklaktchanges ON anaklakt;
    DROP TRIGGER IF EXISTS anaklaktextidsaver ON anaklakt;
    DROP TRIGGER IF EXISTS apscchanges ON apsc;
    DROP TRIGGER IF EXISTS apscextidsaver ON apsc;
    DROP TRIGGER IF EXISTS askupfirchanges ON askupfir;
    DROP TRIGGER IF EXISTS askupfirextidsaver ON askupfir;
    DROP TRIGGER IF EXISTS asmerkodchanges ON asmerkod;
    DROP TRIGGER IF EXISTS asmerkodextidsaver ON asmerkod;
    DROP TRIGGER IF EXISTS astatychanges ON astaty;
    DROP TRIGGER IF EXISTS astatyextidsaver ON astaty;
    DROP TRIGGER IF EXISTS atypaktchanges ON atypakt;
    DROP TRIGGER IF EXISTS atypaktextidsaver ON atypakt;
    DROP TRIGGER IF EXISTS atypnaklaktchanges ON atypnaklakt;
    DROP TRIGGER IF EXISTS atypnaklaktextidsaver ON atypnaklakt;
    DROP TRIGGER IF EXISTS audalostichanges ON audalosti;
    DROP TRIGGER IF EXISTS audalostiextidsaver ON audalosti;
    DROP TRIGGER IF EXISTS catributchanges ON catribut;
    DROP TRIGGER IF EXISTS catributextidsaver ON catribut;
    DROP TRIGGER IF EXISTS ccenhladchanges ON ccenhlad;
    DROP TRIGGER IF EXISTS ccenhladextidsaver ON ccenhlad;
    DROP TRIGGER IF EXISTS ccenikchanges ON ccenik;
    DROP TRIGGER IF EXISTS ccenikextidsaver ON ccenik;
    DROP TRIGGER IF EXISTS cdodavatelechanges ON cdodavatele;
    DROP TRIGGER IF EXISTS cdodavateleextidsaver ON cdodavatele;
    DROP TRIGGER IF EXISTS cekokomchanges ON cekokom;
    DROP TRIGGER IF EXISTS cekokomextidsaver ON cekokom;
    DROP TRIGGER IF EXISTS ckusovnikchanges ON ckusovnik;
    DROP TRIGGER IF EXISTS ckusovnikextidsaver ON ckusovnik;
    DROP TRIGGER IF EXISTS cmerjedchanges ON cmerjed;
    DROP TRIGGER IF EXISTS cmerjedextidsaver ON cmerjed;
    DROP TRIGGER IF EXISTS codberatelechanges ON codberatele;
    DROP TRIGGER IF EXISTS codberateleextidsaver ON codberatele;
    DROP TRIGGER IF EXISTS cpodobnechanges ON cpodobne;
    DROP TRIGGER IF EXISTS cpodobneextidsaver ON cpodobne;
    DROP TRIGGER IF EXISTS cpoplatkychanges ON cpoplatky;
    DROP TRIGGER IF EXISTS cpoplatkyextidsaver ON cpoplatky;
    DROP TRIGGER IF EXISTS cprislusenstvichanges ON cprislusenstvi;
    DROP TRIGGER IF EXISTS cprislusenstviextidsaver ON cprislusenstvi;
    DROP TRIGGER IF EXISTS csadychanges ON csady;
    DROP TRIGGER IF EXISTS csadyextidsaver ON csady;
    DROP TRIGGER IF EXISTS cskupcenchanges ON cskupcen;
    DROP TRIGGER IF EXISTS cskupcenextidsaver ON cskupcen;
    DROP TRIGGER IF EXISTS cskupzbozchanges ON cskupzboz;
    DROP TRIGGER IF EXISTS cskupzbozextidsaver ON cskupzboz;
    DROP TRIGGER IF EXISTS cstavcenchanges ON cstavcen;
    DROP TRIGGER IF EXISTS cstavcenextidsaver ON cstavcen;
    DROP TRIGGER IF EXISTS ctypatributchanges ON ctypatribut;
    DROP TRIGGER IF EXISTS ctypatributextidsaver ON ctypatribut;
    DROP TRIGGER IF EXISTS ctypzbozichanges ON ctypzbozi;
    DROP TRIGGER IF EXISTS ctypzboziextidsaver ON ctypzbozi;
    DROP TRIGGER IF EXISTS dautotiskchanges ON dautotisk;
    DROP TRIGGER IF EXISTS dautotiskextidsaver ON dautotisk;
    DROP TRIGGER IF EXISTS dbspchanges ON dbsp;
    DROP TRIGGER IF EXISTS dbspextidsaver ON dbsp;
    DROP TRIGGER IF EXISTS dcislobalchanges ON dcislobal;
    DROP TRIGGER IF EXISTS dcislobalextidsaver ON dcislobal;
    DROP TRIGGER IF EXISTS ddoklfakchanges ON ddoklfak;
    DROP TRIGGER IF EXISTS ddoklfakextidsaver ON ddoklfak;
    DROP TRIGGER IF EXISTS ddoklintchanges ON ddoklint;
    DROP TRIGGER IF EXISTS ddoklintextidsaver ON ddoklint;
    DROP TRIGGER IF EXISTS ddoklobchchanges ON ddoklobch;
    DROP TRIGGER IF EXISTS ddoklobchextidsaver ON ddoklobch;
    DROP TRIGGER IF EXISTS ddoklskladchanges ON ddoklsklad;
    DROP TRIGGER IF EXISTS ddoklskladextidsaver ON ddoklsklad;
    DROP TRIGGER IF EXISTS dformadopravychanges ON dformadopravy;
    DROP TRIGGER IF EXISTS dformadopravyextidsaver ON dformadopravy;
    DROP TRIGGER IF EXISTS dformauhradychanges ON dformauhrady;
    DROP TRIGGER IF EXISTS dformauhradyextidsaver ON dformauhrady;
    DROP TRIGGER IF EXISTS dformauhradycischanges ON dformauhradycis;
    DROP TRIGGER IF EXISTS dformauhradycisextidsaver ON dformauhradycis;
    DROP TRIGGER IF EXISTS dformauhradyzaucchanges ON dformauhradyzauc;
    DROP TRIGGER IF EXISTS dformauhradyzaucextidsaver ON dformauhradyzauc;
    DROP TRIGGER IF EXISTS dkonsymchanges ON dkonsym;
    DROP TRIGGER IF EXISTS dkonsymextidsaver ON dkonsym;
    DROP TRIGGER IF EXISTS dpolfakchanges ON dpolfak;
    DROP TRIGGER IF EXISTS dpolfakextidsaver ON dpolfak;
    DROP TRIGGER IF EXISTS dpolintchanges ON dpolint;
    DROP TRIGGER IF EXISTS dpolintextidsaver ON dpolint;
    DROP TRIGGER IF EXISTS dpolobchchanges ON dpolobch;
    DROP TRIGGER IF EXISTS dpolobchextidsaver ON dpolobch;
    DROP TRIGGER IF EXISTS dpolprikazuhrchanges ON dpolprikazuhr;
    DROP TRIGGER IF EXISTS dpolprikazuhrextidsaver ON dpolprikazuhr;
    DROP TRIGGER IF EXISTS dpolskladchanges ON dpolsklad;
    DROP TRIGGER IF EXISTS dpolskladextidsaver ON dpolsklad;
    DROP TRIGGER IF EXISTS dpolsmlchanges ON dpolsml;
    DROP TRIGGER IF EXISTS dpolsmlextidsaver ON dpolsml;
    DROP TRIGGER IF EXISTS dprikazuhrchanges ON dprikazuhr;
    DROP TRIGGER IF EXISTS dprikazuhrextidsaver ON dprikazuhr;
    DROP TRIGGER IF EXISTS dradychanges ON drady;
    DROP TRIGGER IF EXISTS dradyextidsaver ON drady;
    DROP TRIGGER IF EXISTS dradyrokchanges ON dradyrok;
    DROP TRIGGER IF EXISTS dradyrokextidsaver ON dradyrok;
    DROP TRIGGER IF EXISTS dsmlouvychanges ON dsmlouvy;
    DROP TRIGGER IF EXISTS dsmlouvyextidsaver ON dsmlouvy;
    DROP TRIGGER IF EXISTS dstavsmlchanges ON dstavsml;
    DROP TRIGGER IF EXISTS dstavsmlextidsaver ON dstavsml;
    DROP TRIGGER IF EXISTS dtypdoklchanges ON dtypdokl;
    DROP TRIGGER IF EXISTS dtypdoklextidsaver ON dtypdokl;
    DROP TRIGGER IF EXISTS dtypsmlchanges ON dtypsml;
    DROP TRIGGER IF EXISTS dtypsmlextidsaver ON dtypsml;
    DROP TRIGGER IF EXISTS dvazebtabchanges ON dvazebtab;
    DROP TRIGGER IF EXISTS dvazebtabextidsaver ON dvazebtab;
    DROP TRIGGER IF EXISTS idodpodmchanges ON idodpodm;
    DROP TRIGGER IF EXISTS idodpodmextidsaver ON idodpodm;
    DROP TRIGGER IF EXISTS idruhdoprchanges ON idruhdopr;
    DROP TRIGGER IF EXISTS idruhdoprextidsaver ON idruhdopr;
    DROP TRIGGER IF EXISTS iintrmerjedchanges ON iintrmerjed;
    DROP TRIGGER IF EXISTS iintrmerjedextidsaver ON iintrmerjed;
    DROP TRIGGER IF EXISTS ikrajurcchanges ON ikrajurc;
    DROP TRIGGER IF EXISTS ikrajurcextidsaver ON ikrajurc;
    DROP TRIGGER IF EXISTS inomenchanges ON inomen;
    DROP TRIGGER IF EXISTS inomenextidsaver ON inomen;
    DROP TRIGGER IF EXISTS iobchtranschanges ON iobchtrans;
    DROP TRIGGER IF EXISTS iobchtransextidsaver ON iobchtrans;
    DROP TRIGGER IF EXISTS izvlpohchanges ON izvlpoh;
    DROP TRIGGER IF EXISTS izvlpohextidsaver ON izvlpoh;
    DROP TRIGGER IF EXISTS nnastavchanges ON nnastav;
    DROP TRIGGER IF EXISTS nnastavextidsaver ON nnastav;
    DROP TRIGGER IF EXISTS nucetobdobichanges ON nucetobdobi;
    DROP TRIGGER IF EXISTS nucetobdobiextidsaver ON nucetobdobi;
    DROP TRIGGER IF EXISTS sinventurachanges ON sinventura;
    DROP TRIGGER IF EXISTS sinventuraextidsaver ON sinventura;
    DROP TRIGGER IF EXISTS skartychanges ON skarty;
    DROP TRIGGER IF EXISTS skartyextidsaver ON skarty;
    DROP TRIGGER IF EXISTS smapskladchanges ON smapsklad;
    DROP TRIGGER IF EXISTS smapskladextidsaver ON smapsklad;
    DROP TRIGGER IF EXISTS spolinventurachanges ON spolinventura;
    DROP TRIGGER IF EXISTS spolinventuraextidsaver ON spolinventura;
    DROP TRIGGER IF EXISTS srezervacechanges ON srezervace;
    DROP TRIGGER IF EXISTS srezervaceextidsaver ON srezervace;
    DROP TRIGGER IF EXISTS sumistenichanges ON sumisteni;
    DROP TRIGGER IF EXISTS sumisteniextidsaver ON sumisteni;
    DROP TRIGGER IF EXISTS svyrobnicislochanges ON svyrobnicislo;
    DROP TRIGGER IF EXISTS svyrobnicisloextidsaver ON svyrobnicislo;
    DROP TRIGGER IF EXISTS svyrobnicislohlavchanges ON svyrobnicislohlav;
    DROP TRIGGER IF EXISTS svyrobnicislohlavextidsaver ON svyrobnicislohlav;
    DROP TRIGGER IF EXISTS ucinnostchanges ON ucinnost;
    DROP TRIGGER IF EXISTS ucinnostextidsaver ON ucinnost;
    DROP TRIGGER IF EXISTS uclendphchanges ON uclendph;
    DROP TRIGGER IF EXISTS uclendphextidsaver ON uclendph;
    DROP TRIGGER IF EXISTS uclenkonvykdphchanges ON uclenkonvykdph;
    DROP TRIGGER IF EXISTS uclenkonvykdphextidsaver ON uclenkonvykdph;
    DROP TRIGGER IF EXISTS udphprenchanges ON udphpren;
    DROP TRIGGER IF EXISTS udphprenextidsaver ON udphpren;
    DROP TRIGGER IF EXISTS ukurzychanges ON ukurzy;
    DROP TRIGGER IF EXISTS ukurzyextidsaver ON ukurzy;
    DROP TRIGGER IF EXISTS umenychanges ON umeny;
    DROP TRIGGER IF EXISTS umenyextidsaver ON umeny;
    DROP TRIGGER IF EXISTS uradekpriznanidphchanges ON uradekpriznanidph;
    DROP TRIGGER IF EXISTS uradekpriznanidphextidsaver ON uradekpriznanidph;
    DROP TRIGGER IF EXISTS usazbydphchanges ON usazbydph;
    DROP TRIGGER IF EXISTS usazbydphextidsaver ON usazbydph;
    DROP TRIGGER IF EXISTS usesradkychanges ON usesradky;
    DROP TRIGGER IF EXISTS usesradkyextidsaver ON usesradky;
    DROP TRIGGER IF EXISTS usesrozpaducechanges ON usesrozpaduce;
    DROP TRIGGER IF EXISTS usesrozpaduceextidsaver ON usesrozpaduce;
    DROP TRIGGER IF EXISTS usesstdpredchanges ON usesstdpred;
    DROP TRIGGER IF EXISTS usesstdpredextidsaver ON usesstdpred;
    DROP TRIGGER IF EXISTS usessumacechanges ON usessumace;
    DROP TRIGGER IF EXISTS usessumaceextidsaver ON usessumace;
    DROP TRIGGER IF EXISTS usesuzivpredchanges ON usesuzivpred;
    DROP TRIGGER IF EXISTS usesuzivpredextidsaver ON usesuzivpred;
    DROP TRIGGER IF EXISTS usestavychanges ON usestavy;
    DROP TRIGGER IF EXISTS usestavyextidsaver ON usestavy;
    DROP TRIGGER IF EXISTS ustavzakazkychanges ON ustavzakazky;
    DROP TRIGGER IF EXISTS ustavzakazkyextidsaver ON ustavzakazky;
    DROP TRIGGER IF EXISTS ustductychanges ON ustducty;
    DROP TRIGGER IF EXISTS ustductyextidsaver ON ustducty;
    DROP TRIGGER IF EXISTS ustrediskachanges ON ustrediska;
    DROP TRIGGER IF EXISTS ustrediskaextidsaver ON ustrediska;
    DROP TRIGGER IF EXISTS utypucopchanges ON utypucop;
    DROP TRIGGER IF EXISTS utypucopextidsaver ON utypucop;
    DROP TRIGGER IF EXISTS utypzakazkychanges ON utypzakazky;
    DROP TRIGGER IF EXISTS utypzakazkyextidsaver ON utypzakazky;
    DROP TRIGGER IF EXISTS uuctychanges ON uucty;
    DROP TRIGGER IF EXISTS uuctyextidsaver ON uucty;
    DROP TRIGGER IF EXISTS uvyhzakazkychanges ON uvyhzakazky;
    DROP TRIGGER IF EXISTS uvyhzakazkyextidsaver ON uvyhzakazky;
    DROP TRIGGER IF EXISTS uzakazkychanges ON uzakazky;
    DROP TRIGGER IF EXISTS uzakazkyextidsaver ON uzakazky;
    DROP TRIGGER IF EXISTS wactclenstvichanges ON wactclenstvi;
    DROP TRIGGER IF EXISTS wactclenstviextidsaver ON wactclenstvi;
    DROP TRIGGER IF EXISTS wactdefinicechanges ON wactdefinice;
    DROP TRIGGER IF EXISTS wactdefiniceextidsaver ON wactdefinice;
    DROP TRIGGER IF EXISTS wactskupinachanges ON wactskupina;
    DROP TRIGGER IF EXISTS wactskupinaextidsaver ON wactskupina;
    DROP TRIGGER IF EXISTS wadrcertchanges ON wadrcert;
    DROP TRIGGER IF EXISTS wadrcertextidsaver ON wadrcert;
    DROP TRIGGER IF EXISTS wautcertchanges ON wautcert;
    DROP TRIGGER IF EXISTS wautcertextidsaver ON wautcert;
    DROP TRIGGER IF EXISTS wcolumnchanges ON wcolumn;
    DROP TRIGGER IF EXISTS wcolumnextidsaver ON wcolumn;
    DROP TRIGGER IF EXISTS wdatapravachanges ON wdataprava;
    DROP TRIGGER IF EXISTS wdatapravaextidsaver ON wdataprava;
    DROP TRIGGER IF EXISTS wdotazychanges ON wdotazy;
    DROP TRIGGER IF EXISTS wdotazyextidsaver ON wdotazy;
    DROP TRIGGER IF EXISTS wdotazyparamchanges ON wdotazyparam;
    DROP TRIGGER IF EXISTS wdotazyparamextidsaver ON wdotazyparam;
    DROP TRIGGER IF EXISTS wdotazypropchanges ON wdotazyprop;
    DROP TRIGGER IF EXISTS wdotazypropextidsaver ON wdotazyprop;
    DROP TRIGGER IF EXISTS wfiltrychanges ON wfiltry;
    DROP TRIGGER IF EXISTS wfiltryextidsaver ON wfiltry;
    DROP TRIGGER IF EXISTS wkonektorchanges ON wkonektor;
    DROP TRIGGER IF EXISTS wkonektorextidsaver ON wkonektor;
    DROP TRIGGER IF EXISTS woscertchanges ON woscert;
    DROP TRIGGER IF EXISTS woscertextidsaver ON woscert;
    DROP TRIGGER IF EXISTS wparamchanges ON wparam;
    DROP TRIGGER IF EXISTS wparamextidsaver ON wparam;
    DROP TRIGGER IF EXISTS wprilohachanges ON wpriloha;
    DROP TRIGGER IF EXISTS wprilohaextidsaver ON wpriloha;
    DROP TRIGGER IF EXISTS wpristpravachanges ON wpristprava;
    DROP TRIGGER IF EXISTS wpristpravaextidsaver ON wpristprava;
    DROP TRIGGER IF EXISTS wreportchanges ON wreport;
    DROP TRIGGER IF EXISTS wreportextidsaver ON wreport;
    DROP TRIGGER IF EXISTS wrolechanges ON wrole;
    DROP TRIGGER IF EXISTS wroleextidsaver ON wrole;
    DROP TRIGGER IF EXISTS wsablonachanges ON wsablona;
    DROP TRIGGER IF EXISTS wsablonaextidsaver ON wsablona;
    DROP TRIGGER IF EXISTS wskupvybklicchanges ON wskupvybklic;
    DROP TRIGGER IF EXISTS wskupvybklicextidsaver ON wskupvybklic;
    DROP TRIGGER IF EXISTS wstromchanges ON wstrom;
    DROP TRIGGER IF EXISTS wstromextidsaver ON wstrom;
    DROP TRIGGER IF EXISTS wtextychanges ON wtexty;
    DROP TRIGGER IF EXISTS wtextyextidsaver ON wtexty;
    DROP TRIGGER IF EXISTS wuzelchanges ON wuzel;
    DROP TRIGGER IF EXISTS wuzelextidsaver ON wuzel;
    DROP TRIGGER IF EXISTS wuzivatelchanges ON wuzivatel;
    DROP TRIGGER IF EXISTS wuzivatelextidsaver ON wuzivatel;
    DROP TRIGGER IF EXISTS wvazuzelchanges ON wvazuzel;
    DROP TRIGGER IF EXISTS wvazuzelextidsaver ON wvazuzel;
    DROP TRIGGER IF EXISTS wvazbachanges ON wvazba;
    DROP TRIGGER IF EXISTS wvazbaextidsaver ON wvazba;
    DROP TRIGGER IF EXISTS wvazbatypchanges ON wvazbatyp;
    DROP TRIGGER IF EXISTS wvazbatypextidsaver ON wvazbatyp;
    DROP TRIGGER IF EXISTS wvybklicechanges ON wvybklice;
    DROP TRIGGER IF EXISTS wvybkliceextidsaver ON wvybklice;
    DROP TRIGGER IF EXISTS wxsltchanges ON wxslt;
    DROP TRIGGER IF EXISTS wxsltextidsaver ON wxslt;
    DROP TRIGGER IF EXISTS wzamkychanges ON wzamky;
    DROP TRIGGER IF EXISTS wzamkyextidsaver ON wzamky;
    DROP TRIGGER IF EXISTS wzastupnostichanges ON wzastupnosti;
    DROP TRIGGER IF EXISTS wzastupnostiextidsaver ON wzastupnosti;
  END IF;
END;
$BODY$
LANGUAGE 'plpgsql' VOLATILE;
