CREATE OR REPLACE FUNCTION create_or_drop_ucto_changes_triggers(docreate boolean)
  RETURNS void AS
$BODY$
BEGIN
  -- Na nektere z tabulek muze byt uvalen zamek (napr. typu AccessShareLock)
  LOCK TABLE aadresar IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE abanspoj IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE akontakty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE amisturc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE anaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE apsc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE askupfir IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE asmerkod IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE astaty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE atypnaklakt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE audalosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE catribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenhlad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ccenik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cdodavatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cekokom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ckusovnik IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE codberatele IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpodobne IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cpoplatky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cprislusenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE csady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cskupzboz IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE cstavcen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypatribut IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ctypzbozi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dautotisk IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dbsp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dcislobal IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ddoklsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformadopravy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhrady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradycis IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dformauhradyzauc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dkonsym IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolfak IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolint IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolobch IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dpolsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dprikazuhr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE drady IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dradyrok IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dsmlouvy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dstavsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypdokl IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dtypsml IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE dvazebtab IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idodpodm IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE idruhdopr IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iintrmerjed IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ikrajurc IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE inomen IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE iobchtrans IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE izvlpoh IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nnastav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE nucetobdobi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE skarty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE smapsklad IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE spolinventura IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE srezervace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE sumisteni IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislo IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE svyrobnicislohlav IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ucinnost IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclendph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uclenkonvykdph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE udphpren IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ukurzy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE umeny IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uradekpriznanidph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usazbydph IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesradky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesrozpaduce IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesstdpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usessumace IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usesuzivpred IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE usestavy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustavzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustducty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE ustrediska IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypucop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE utypzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uucty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uvyhzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE uzakazky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactclenstvi IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactdefinice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wactskupina IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wadrcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wautcert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wcolumn IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdataprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazy IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wdotazyprop IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wfiltry IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wkonektor IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE woscert IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wparam IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpriloha IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wpristprava IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wreport IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wrole IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wsablona IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wskupvybklic IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wstrom IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wtexty IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wuzivatel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazuzel IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazba IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvazbatyp IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wvybklice IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wxslt IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzamky IN ACCESS EXCLUSIVE MODE NOWAIT;
  LOCK TABLE wzastupnosti IN ACCESS EXCLUSIVE MODE NOWAIT;
  
  IF docreate THEN
    CREATE TRIGGER aadresarchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON aadresar FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER abanspojchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON abanspoj FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER akontaktychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON akontakty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER amisturcchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON amisturc FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER anaklaktchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON anaklakt FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER apscchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON apsc FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER askupfirchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON askupfir FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER asmerkodchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON asmerkod FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER astatychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON astaty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER atypaktchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON atypakt FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER atypnaklaktchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON atypnaklakt FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER audalostichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON audalosti FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER catributchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON catribut FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ccenhladchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ccenhlad FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ccenikchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ccenik FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cdodavatelechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cdodavatele FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cekokomchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cekokom FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ckusovnikchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ckusovnik FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cmerjedchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cmerjed FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER codberatelechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON codberatele FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cpodobnechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cpodobne FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cpoplatkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cpoplatky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cprislusenstvichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cprislusenstvi FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER csadychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON csady FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cskupcenchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cskupcen FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cskupzbozchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cskupzboz FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER cstavcenchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON cstavcen FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ctypatributchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ctypatribut FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ctypzbozichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ctypzbozi FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dautotiskchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dautotisk FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dbspchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dbsp FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dcislobalchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dcislobal FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklfakchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklfak FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklintchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklint FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklobchchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklobch FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ddoklskladchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ddoklsklad FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformadopravychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformadopravy FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhrady FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradycischanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhradycis FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dformauhradyzaucchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dformauhradyzauc FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dkonsymchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dkonsym FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolfakchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolfak FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolintchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolint FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolobchchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolobch FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolprikazuhrchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolprikazuhr FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolskladchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolsklad FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dpolsmlchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dpolsml FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dprikazuhrchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dprikazuhr FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dradychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON drady FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dradyrokchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dradyrok FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dsmlouvychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dsmlouvy FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dstavsmlchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dstavsml FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dtypdoklchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dtypdokl FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dtypsmlchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dtypsml FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER dvazebtabchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON dvazebtab FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER idodpodmchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON idodpodm FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER idruhdoprchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON idruhdopr FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER iintrmerjedchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON iintrmerjed FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ikrajurcchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ikrajurc FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER inomenchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON inomen FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER iobchtranschanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON iobchtrans FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER izvlpohchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON izvlpoh FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER nnastavchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON nnastav FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER nucetobdobichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON nucetobdobi FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER sinventurachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON sinventura FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER skartychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON skarty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER smapskladchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON smapsklad FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER spolinventurachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON spolinventura FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER srezervacechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON srezervace FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER sumistenichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON sumisteni FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER svyrobnicislochanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON svyrobnicislo FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER svyrobnicislohlavchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON svyrobnicislohlav FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ucinnostchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ucinnost FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uclendphchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uclendph FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uclenkonvykdphchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uclenkonvykdph FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER udphprenchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON udphpren FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ukurzychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ukurzy FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER umenychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON umeny FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uradekpriznanidphchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uradekpriznanidph FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usazbydphchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usazbydph FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesradkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesradky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesrozpaducechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesrozpaduce FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesstdpredchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesstdpred FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usessumacechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usessumace FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usesuzivpredchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usesuzivpred FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER usestavychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON usestavy FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustavzakazkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustavzakazky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustductychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustducty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER ustrediskachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON ustrediska FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER utypucopchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON utypucop FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER utypzakazkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON utypzakazky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uuctychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uucty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uvyhzakazkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uvyhzakazky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER uzakazkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON uzakazky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactclenstvichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactclenstvi FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactdefinicechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactdefinice FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wactskupinachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wactskupina FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wadrcertchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wadrcert FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wautcertchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wautcert FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wcolumnchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wcolumn FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdatapravachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdataprava FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazy FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazyparamchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazyparam FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wdotazypropchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wdotazyprop FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wfiltrychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wfiltry FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wkonektorchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wkonektor FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER woscertchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON woscert FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wparamchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wparam FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wprilohachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wpriloha FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wpristpravachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wpristprava FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wreportchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wreport FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wrolechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wrole FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wsablonachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wsablona FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wskupvybklicchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wskupvybklic FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wstromchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wstrom FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wtextychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wtexty FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wuzelchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wuzel FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wuzivatelchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wuzivatel FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazuzelchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazuzel FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazbachanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazba FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvazbatypchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvazbatyp FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wvybklicechanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wvybklice FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wxsltchanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wxslt FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wzamkychanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wzamky FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

    CREATE TRIGGER wzastupnostichanges
        BEFORE UPDATE OR INSERT OR DELETE
        ON wzastupnosti FOR EACH ROW
        EXECUTE PROCEDURE logchanges();

  ELSE
    DROP TRIGGER IF EXISTS aadresarchanges ON aadresar;
    DROP TRIGGER IF EXISTS aadresarextidsaver ON aadresar;
    DROP TRIGGER IF EXISTS abanspojchanges ON abanspoj;
    DROP TRIGGER IF EXISTS abanspojextidsaver ON abanspoj;
    DROP TRIGGER IF EXISTS akontaktychanges ON akontakty;
    DROP TRIGGER IF EXISTS akontaktyextidsaver ON akontakty;
    DROP TRIGGER IF EXISTS amisturcchanges ON amisturc;
    DROP TRIGGER IF EXISTS amisturcextidsaver ON amisturc;
    DROP TRIGGER IF EXISTS anaklaktchanges ON anaklakt;
    DROP TRIGGER IF EXISTS anaklaktextidsaver ON anaklakt;
    DROP TRIGGER IF EXISTS apscchanges ON apsc;
    DROP TRIGGER IF EXISTS apscextidsaver ON apsc;
    DROP TRIGGER IF EXISTS askupfirchanges ON askupfir;
    DROP TRIGGER IF EXISTS askupfirextidsaver ON askupfir;
    DROP TRIGGER IF EXISTS asmerkodchanges ON asmerkod;
    DROP TRIGGER IF EXISTS asmerkodextidsaver ON asmerkod;
    DROP TRIGGER IF EXISTS astatychanges ON astaty;
    DROP TRIGGER IF EXISTS astatyextidsaver ON astaty;
    DROP TRIGGER IF EXISTS atypaktchanges ON atypakt;
    DROP TRIGGER IF EXISTS atypaktextidsaver ON atypakt;
    DROP TRIGGER IF EXISTS atypnaklaktchanges ON atypnaklakt;
    DROP TRIGGER IF EXISTS atypnaklaktextidsaver ON atypnaklakt;
    DROP TRIGGER IF EXISTS audalostichanges ON audalosti;
    DROP TRIGGER IF EXISTS audalostiextidsaver ON audalosti;
    DROP TRIGGER IF EXISTS catributchanges ON catribut;
    DROP TRIGGER IF EXISTS catributextidsaver ON catribut;
    DROP TRIGGER IF EXISTS ccenhladchanges ON ccenhlad;
    DROP TRIGGER IF EXISTS ccenhladextidsaver ON ccenhlad;
    DROP TRIGGER IF EXISTS ccenikchanges ON ccenik;
    DROP TRIGGER IF EXISTS ccenikextidsaver ON ccenik;
    DROP TRIGGER IF EXISTS cdodavatelechanges ON cdodavatele;
    DROP TRIGGER IF EXISTS cdodavateleextidsaver ON cdodavatele;
    DROP TRIGGER IF EXISTS cekokomchanges ON cekokom;
    DROP TRIGGER IF EXISTS cekokomextidsaver ON cekokom;
    DROP TRIGGER IF EXISTS ckusovnikchanges ON ckusovnik;
    DROP TRIGGER IF EXISTS ckusovnikextidsaver ON ckusovnik;
    DROP TRIGGER IF EXISTS cmerjedchanges ON cmerjed;
    DROP TRIGGER IF EXISTS cmerjedextidsaver ON cmerjed;
    DROP TRIGGER IF EXISTS codberatelechanges ON codberatele;
    DROP TRIGGER IF EXISTS codberateleextidsaver ON codberatele;
    DROP TRIGGER IF EXISTS cpodobnechanges ON cpodobne;
    DROP TRIGGER IF EXISTS cpodobneextidsaver ON cpodobne;
    DROP TRIGGER IF EXISTS cpoplatkychanges ON cpoplatky;
    DROP TRIGGER IF EXISTS cpoplatkyextidsaver ON cpoplatky;
    DROP TRIGGER IF EXISTS cprislusenstvichanges ON cprislusenstvi;
    DROP TRIGGER IF EXISTS cprislusenstviextidsaver ON cprislusenstvi;
    DROP TRIGGER IF EXISTS csadychanges ON csady;
    DROP TRIGGER IF EXISTS csadyextidsaver ON csady;
    DROP TRIGGER IF EXISTS cskupcenchanges ON cskupcen;
    DROP TRIGGER IF EXISTS cskupcenextidsaver ON cskupcen;
    DROP TRIGGER IF EXISTS cskupzbozchanges ON cskupzboz;
    DROP TRIGGER IF EXISTS cskupzbozextidsaver ON cskupzboz;
    DROP TRIGGER IF EXISTS cstavcenchanges ON cstavcen;
    DROP TRIGGER IF EXISTS cstavcenextidsaver ON cstavcen;
    DROP TRIGGER IF EXISTS ctypatributchanges ON ctypatribut;
    DROP TRIGGER IF EXISTS ctypatributextidsaver ON ctypatribut;
    DROP TRIGGER IF EXISTS ctypzbozichanges ON ctypzbozi;
    DROP TRIGGER IF EXISTS ctypzboziextidsaver ON ctypzbozi;
    DROP TRIGGER IF EXISTS dautotiskchanges ON dautotisk;
    DROP TRIGGER IF EXISTS dautotiskextidsaver ON dautotisk;
    DROP TRIGGER IF EXISTS dbspchanges ON dbsp;
    DROP TRIGGER IF EXISTS dbspextidsaver ON dbsp;
    DROP TRIGGER IF EXISTS dcislobalchanges ON dcislobal;
    DROP TRIGGER IF EXISTS dcislobalextidsaver ON dcislobal;
    DROP TRIGGER IF EXISTS ddoklfakchanges ON ddoklfak;
    DROP TRIGGER IF EXISTS ddoklfakextidsaver ON ddoklfak;
    DROP TRIGGER IF EXISTS ddoklintchanges ON ddoklint;
    DROP TRIGGER IF EXISTS ddoklintextidsaver ON ddoklint;
    DROP TRIGGER IF EXISTS ddoklobchchanges ON ddoklobch;
    DROP TRIGGER IF EXISTS ddoklobchextidsaver ON ddoklobch;
    DROP TRIGGER IF EXISTS ddoklskladchanges ON ddoklsklad;
    DROP TRIGGER IF EXISTS ddoklskladextidsaver ON ddoklsklad;
    DROP TRIGGER IF EXISTS dformadopravychanges ON dformadopravy;
    DROP TRIGGER IF EXISTS dformadopravyextidsaver ON dformadopravy;
    DROP TRIGGER IF EXISTS dformauhradychanges ON dformauhrady;
    DROP TRIGGER IF EXISTS dformauhradyextidsaver ON dformauhrady;
    DROP TRIGGER IF EXISTS dformauhradycischanges ON dformauhradycis;
    DROP TRIGGER IF EXISTS dformauhradycisextidsaver ON dformauhradycis;
    DROP TRIGGER IF EXISTS dformauhradyzaucchanges ON dformauhradyzauc;
    DROP TRIGGER IF EXISTS dformauhradyzaucextidsaver ON dformauhradyzauc;
    DROP TRIGGER IF EXISTS dkonsymchanges ON dkonsym;
    DROP TRIGGER IF EXISTS dkonsymextidsaver ON dkonsym;
    DROP TRIGGER IF EXISTS dpolfakchanges ON dpolfak;
    DROP TRIGGER IF EXISTS dpolfakextidsaver ON dpolfak;
    DROP TRIGGER IF EXISTS dpolintchanges ON dpolint;
    DROP TRIGGER IF EXISTS dpolintextidsaver ON dpolint;
    DROP TRIGGER IF EXISTS dpolobchchanges ON dpolobch;
    DROP TRIGGER IF EXISTS dpolobchextidsaver ON dpolobch;
    DROP TRIGGER IF EXISTS dpolprikazuhrchanges ON dpolprikazuhr;
    DROP TRIGGER IF EXISTS dpolprikazuhrextidsaver ON dpolprikazuhr;
    DROP TRIGGER IF EXISTS dpolskladchanges ON dpolsklad;
    DROP TRIGGER IF EXISTS dpolskladextidsaver ON dpolsklad;
    DROP TRIGGER IF EXISTS dpolsmlchanges ON dpolsml;
    DROP TRIGGER IF EXISTS dpolsmlextidsaver ON dpolsml;
    DROP TRIGGER IF EXISTS dprikazuhrchanges ON dprikazuhr;
    DROP TRIGGER IF EXISTS dprikazuhrextidsaver ON dprikazuhr;
    DROP TRIGGER IF EXISTS dradychanges ON drady;
    DROP TRIGGER IF EXISTS dradyextidsaver ON drady;
    DROP TRIGGER IF EXISTS dradyrokchanges ON dradyrok;
    DROP TRIGGER IF EXISTS dradyrokextidsaver ON dradyrok;
    DROP TRIGGER IF EXISTS dsmlouvychanges ON dsmlouvy;
    DROP TRIGGER IF EXISTS dsmlouvyextidsaver ON dsmlouvy;
    DROP TRIGGER IF EXISTS dstavsmlchanges ON dstavsml;
    DROP TRIGGER IF EXISTS dstavsmlextidsaver ON dstavsml;
    DROP TRIGGER IF EXISTS dtypdoklchanges ON dtypdokl;
    DROP TRIGGER IF EXISTS dtypdoklextidsaver ON dtypdokl;
    DROP TRIGGER IF EXISTS dtypsmlchanges ON dtypsml;
    DROP TRIGGER IF EXISTS dtypsmlextidsaver ON dtypsml;
    DROP TRIGGER IF EXISTS dvazebtabchanges ON dvazebtab;
    DROP TRIGGER IF EXISTS dvazebtabextidsaver ON dvazebtab;
    DROP TRIGGER IF EXISTS idodpodmchanges ON idodpodm;
    DROP TRIGGER IF EXISTS idodpodmextidsaver ON idodpodm;
    DROP TRIGGER IF EXISTS idruhdoprchanges ON idruhdopr;
    DROP TRIGGER IF EXISTS idruhdoprextidsaver ON idruhdopr;
    DROP TRIGGER IF EXISTS iintrmerjedchanges ON iintrmerjed;
    DROP TRIGGER IF EXISTS iintrmerjedextidsaver ON iintrmerjed;
    DROP TRIGGER IF EXISTS ikrajurcchanges ON ikrajurc;
    DROP TRIGGER IF EXISTS ikrajurcextidsaver ON ikrajurc;
    DROP TRIGGER IF EXISTS inomenchanges ON inomen;
    DROP TRIGGER IF EXISTS inomenextidsaver ON inomen;
    DROP TRIGGER IF EXISTS iobchtranschanges ON iobchtrans;
    DROP TRIGGER IF EXISTS iobchtransextidsaver ON iobchtrans;
    DROP TRIGGER IF EXISTS izvlpohchanges ON izvlpoh;
    DROP TRIGGER IF EXISTS izvlpohextidsaver ON izvlpoh;
    DROP TRIGGER IF EXISTS nnastavchanges ON nnastav;
    DROP TRIGGER IF EXISTS nnastavextidsaver ON nnastav;
    DROP TRIGGER IF EXISTS nucetobdobichanges ON nucetobdobi;
    DROP TRIGGER IF EXISTS nucetobdobiextidsaver ON nucetobdobi;
    DROP TRIGGER IF EXISTS sinventurachanges ON sinventura;
    DROP TRIGGER IF EXISTS sinventuraextidsaver ON sinventura;
    DROP TRIGGER IF EXISTS skartychanges ON skarty;
    DROP TRIGGER IF EXISTS skartyextidsaver ON skarty;
    DROP TRIGGER IF EXISTS smapskladchanges ON smapsklad;
    DROP TRIGGER IF EXISTS smapskladextidsaver ON smapsklad;
    DROP TRIGGER IF EXISTS spolinventurachanges ON spolinventura;
    DROP TRIGGER IF EXISTS spolinventuraextidsaver ON spolinventura;
    DROP TRIGGER IF EXISTS srezervacechanges ON srezervace;
    DROP TRIGGER IF EXISTS srezervaceextidsaver ON srezervace;
    DROP TRIGGER IF EXISTS sumistenichanges ON sumisteni;
    DROP TRIGGER IF EXISTS sumisteniextidsaver ON sumisteni;
    DROP TRIGGER IF EXISTS svyrobnicislochanges ON svyrobnicislo;
    DROP TRIGGER IF EXISTS svyrobnicisloextidsaver ON svyrobnicislo;
    DROP TRIGGER IF EXISTS svyrobnicislohlavchanges ON svyrobnicislohlav;
    DROP TRIGGER IF EXISTS svyrobnicislohlavextidsaver ON svyrobnicislohlav;
    DROP TRIGGER IF EXISTS ucinnostchanges ON ucinnost;
    DROP TRIGGER IF EXISTS ucinnostextidsaver ON ucinnost;
    DROP TRIGGER IF EXISTS uclendphchanges ON uclendph;
    DROP TRIGGER IF EXISTS uclendphextidsaver ON uclendph;
    DROP TRIGGER IF EXISTS uclenkonvykdphchanges ON uclenkonvykdph;
    DROP TRIGGER IF EXISTS uclenkonvykdphextidsaver ON uclenkonvykdph;
    DROP TRIGGER IF EXISTS udphprenchanges ON udphpren;
    DROP TRIGGER IF EXISTS udphprenextidsaver ON udphpren;
    DROP TRIGGER IF EXISTS ukurzychanges ON ukurzy;
    DROP TRIGGER IF EXISTS ukurzyextidsaver ON ukurzy;
    DROP TRIGGER IF EXISTS umenychanges ON umeny;
    DROP TRIGGER IF EXISTS umenyextidsaver ON umeny;
    DROP TRIGGER IF EXISTS uradekpriznanidphchanges ON uradekpriznanidph;
    DROP TRIGGER IF EXISTS uradekpriznanidphextidsaver ON uradekpriznanidph;
    DROP TRIGGER IF EXISTS usazbydphchanges ON usazbydph;
    DROP TRIGGER IF EXISTS usazbydphextidsaver ON usazbydph;
    DROP TRIGGER IF EXISTS usesradkychanges ON usesradky;
    DROP TRIGGER IF EXISTS usesradkyextidsaver ON usesradky;
    DROP TRIGGER IF EXISTS usesrozpaducechanges ON usesrozpaduce;
    DROP TRIGGER IF EXISTS usesrozpaduceextidsaver ON usesrozpaduce;
    DROP TRIGGER IF EXISTS usesstdpredchanges ON usesstdpred;
    DROP TRIGGER IF EXISTS usesstdpredextidsaver ON usesstdpred;
    DROP TRIGGER IF EXISTS usessumacechanges ON usessumace;
    DROP TRIGGER IF EXISTS usessumaceextidsaver ON usessumace;
    DROP TRIGGER IF EXISTS usesuzivpredchanges ON usesuzivpred;
    DROP TRIGGER IF EXISTS usesuzivpredextidsaver ON usesuzivpred;
    DROP TRIGGER IF EXISTS usestavychanges ON usestavy;
    DROP TRIGGER IF EXISTS usestavyextidsaver ON usestavy;
    DROP TRIGGER IF EXISTS ustavzakazkychanges ON ustavzakazky;
    DROP TRIGGER IF EXISTS ustavzakazkyextidsaver ON ustavzakazky;
    DROP TRIGGER IF EXISTS ustductychanges ON ustducty;
    DROP TRIGGER IF EXISTS ustductyextidsaver ON ustducty;
    DROP TRIGGER IF EXISTS ustrediskachanges ON ustrediska;
    DROP TRIGGER IF EXISTS ustrediskaextidsaver ON ustrediska;
    DROP TRIGGER IF EXISTS utypucopchanges ON utypucop;
    DROP TRIGGER IF EXISTS utypucopextidsaver ON utypucop;
    DROP TRIGGER IF EXISTS utypzakazkychanges ON utypzakazky;
    DROP TRIGGER IF EXISTS utypzakazkyextidsaver ON utypzakazky;
    DROP TRIGGER IF EXISTS uuctychanges ON uucty;
    DROP TRIGGER IF EXISTS uuctyextidsaver ON uucty;
    DROP TRIGGER IF EXISTS uvyhzakazkychanges ON uvyhzakazky;
    DROP TRIGGER IF EXISTS uvyhzakazkyextidsaver ON uvyhzakazky;
    DROP TRIGGER IF EXISTS uzakazkychanges ON uzakazky;
    DROP TRIGGER IF EXISTS uzakazkyextidsaver ON uzakazky;
    DROP TRIGGER IF EXISTS wactclenstvichanges ON wactclenstvi;
    DROP TRIGGER IF EXISTS wactclenstviextidsaver ON wactclenstvi;
    DROP TRIGGER IF EXISTS wactdefinicechanges ON wactdefinice;
    DROP TRIGGER IF EXISTS wactdefiniceextidsaver ON wactdefinice;
    DROP TRIGGER IF EXISTS wactskupinachanges ON wactskupina;
    DROP TRIGGER IF EXISTS wactskupinaextidsaver ON wactskupina;
    DROP TRIGGER IF EXISTS wadrcertchanges ON wadrcert;
    DROP TRIGGER IF EXISTS wadrcertextidsaver ON wadrcert;
    DROP TRIGGER IF EXISTS wautcertchanges ON wautcert;
    DROP TRIGGER IF EXISTS wautcertextidsaver ON wautcert;
    DROP TRIGGER IF EXISTS wcolumnchanges ON wcolumn;
    DROP TRIGGER IF EXISTS wcolumnextidsaver ON wcolumn;
    DROP TRIGGER IF EXISTS wdatapravachanges ON wdataprava;
    DROP TRIGGER IF EXISTS wdatapravaextidsaver ON wdataprava;
    DROP TRIGGER IF EXISTS wdotazychanges ON wdotazy;
    DROP TRIGGER IF EXISTS wdotazyextidsaver ON wdotazy;
    DROP TRIGGER IF EXISTS wdotazyparamchanges ON wdotazyparam;
    DROP TRIGGER IF EXISTS wdotazyparamextidsaver ON wdotazyparam;
    DROP TRIGGER IF EXISTS wdotazypropchanges ON wdotazyprop;
    DROP TRIGGER IF EXISTS wdotazypropextidsaver ON wdotazyprop;
    DROP TRIGGER IF EXISTS wfiltrychanges ON wfiltry;
    DROP TRIGGER IF EXISTS wfiltryextidsaver ON wfiltry;
    DROP TRIGGER IF EXISTS wkonektorchanges ON wkonektor;
    DROP TRIGGER IF EXISTS wkonektorextidsaver ON wkonektor;
    DROP TRIGGER IF EXISTS woscertchanges ON woscert;
    DROP TRIGGER IF EXISTS woscertextidsaver ON woscert;
    DROP TRIGGER IF EXISTS wparamchanges ON wparam;
    DROP TRIGGER IF EXISTS wparamextidsaver ON wparam;
    DROP TRIGGER IF EXISTS wprilohachanges ON wpriloha;
    DROP TRIGGER IF EXISTS wprilohaextidsaver ON wpriloha;
    DROP TRIGGER IF EXISTS wpristpravachanges ON wpristprava;
    DROP TRIGGER IF EXISTS wpristpravaextidsaver ON wpristprava;
    DROP TRIGGER IF EXISTS wreportchanges ON wreport;
    DROP TRIGGER IF EXISTS wreportextidsaver ON wreport;
    DROP TRIGGER IF EXISTS wrolechanges ON wrole;
    DROP TRIGGER IF EXISTS wroleextidsaver ON wrole;
    DROP TRIGGER IF EXISTS wsablonachanges ON wsablona;
    DROP TRIGGER IF EXISTS wsablonaextidsaver ON wsablona;
    DROP TRIGGER IF EXISTS wskupvybklicchanges ON wskupvybklic;
    DROP TRIGGER IF EXISTS wskupvybklicextidsaver ON wskupvybklic;
    DROP TRIGGER IF EXISTS wstromchanges ON wstrom;
    DROP TRIGGER IF EXISTS wstromextidsaver ON wstrom;
    DROP TRIGGER IF EXISTS wtextychanges ON wtexty;
    DROP TRIGGER IF EXISTS wtextyextidsaver ON wtexty;
    DROP TRIGGER IF EXISTS wuzelchanges ON wuzel;
    DROP TRIGGER IF EXISTS wuzelextidsaver ON wuzel;
    DROP TRIGGER IF EXISTS wuzivatelchanges ON wuzivatel;
    DROP TRIGGER IF EXISTS wuzivatelextidsaver ON wuzivatel;
    DROP TRIGGER IF EXISTS wvazuzelchanges ON wvazuzel;
    DROP TRIGGER IF EXISTS wvazuzelextidsaver ON wvazuzel;
    DROP TRIGGER IF EXISTS wvazbachanges ON wvazba;
    DROP TRIGGER IF EXISTS wvazbaextidsaver ON wvazba;
    DROP TRIGGER IF EXISTS wvazbatypchanges ON wvazbatyp;
    DROP TRIGGER IF EXISTS wvazbatypextidsaver ON wvazbatyp;
    DROP TRIGGER IF EXISTS wvybklicechanges ON wvybklice;
    DROP TRIGGER IF EXISTS wvybkliceextidsaver ON wvybklice;
    DROP TRIGGER IF EXISTS wxsltchanges ON wxslt;
    DROP TRIGGER IF EXISTS wxsltextidsaver ON wxslt;
    DROP TRIGGER IF EXISTS wzamkychanges ON wzamky;
    DROP TRIGGER IF EXISTS wzamkyextidsaver ON wzamky;
    DROP TRIGGER IF EXISTS wzastupnostichanges ON wzastupnosti;
    DROP TRIGGER IF EXISTS wzastupnostiextidsaver ON wzastupnosti;
  END IF;
END;
$BODY$
LANGUAGE 'plpgsql' VOLATILE;
