CREATE OR REPLACE FUNCTION ddoklintupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklInt, 'Int') into _zuctovano;
  
  if (NEW.zuctovano <> _zuctovano) then
    update ddoklint set zuctovano = _zuctovano where idDoklInt = NEW.idDoklInt;
  end if;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;

CREATE TRIGGER ddoklintupdatezauctovano AFTER UPDATE ON ddoklint
  FOR EACH ROW EXECUTE PROCEDURE ddoklintupdatezauctovano();
