CREATE OR REPLACE FUNCTION dpolfakupdatezauctovano()
  RETURNS trigger AS $$
declare
  _idPolDokl integer;
  _zuctovano boolean;
begin
  select isDokladZuctovan(NEW.idDoklFak, 'Fak') into _zuctovano;
  
  update ddoklfak set zuctovano = _zuctovano where idDoklFak = NEW.idDoklFak and zuctovano <> _zuctovano;
  
  return NEW;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION dpolfakupdatezauctovano() OWNER TO %firmaRole%;

CREATE TRIGGER dpolfakupdatezauctovano AFTER UPDATE ON dpolfak
  FOR EACH ROW EXECUTE PROCEDURE dpolfakupdatezauctovano();
