---------------------------------------------------------------------------------------
-- Bug 45584 - Do standardních účtů přidat účty, které jsou v metodických aktualitách
---------------------------------------------------------------------------------------


create or replace function runupgrade()
    returns void as $$
declare
    _idtyporg integer;
    cnt integer; 
begin
  select idtyporg into _idtyporg from nnastav where ((select max(platioddata) from nnastav) is null
        or (select max(platioddata) from nnastav) = platioddata);

  if (_idtyporg = 1) then
    UPDATE ustducty SET poznam = 'Účtu skončila platnost' WHERE kod in ('043', '075', '097', '098', '152', '153', '198', '199', '241', '254', '598', '599', '594');
    
    -- pridani uctu
    cnt := (select count(*) from ustducty where kod = '016');
    if (cnt = 0) then
    INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '016', 'Preferenční limity', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_016');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_016' where kod = '016';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '027');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '027', 'Oceňovací rozdíl k nabytému majetku', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_027');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_027' where kod = '027';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '076');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '076', 'Oprávky k preferenčním limitům', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_076');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_076' where kod = '076';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '087');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '087', 'Oprávky k oceňovacímu rozdílu k nabytému majetku', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_087');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_087' where kod = '087';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '155');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '155', 'Poskytnuté zálohy a závdavky na mladá a ostatní zvířata a jejich skupiny', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_155');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_155' where kod = '155';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '156');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '156', 'Poskytnuté zálohy a závdavky na zboží', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_156');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_156' where kod = '156';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '242');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '242', 'Vyměnitelné dluhopisy', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_242');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_242' where kod = '242';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '243');
    if (cnt = 0) then
      INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '243', 'Ostatní dluhopisy', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_243');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_243' where kod = '243';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '262');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '262', 'Peníze na cestě mezi bankovními účty', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_262');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_262' where kod = '262';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '316');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '316', 'Nárok na záruční paušál', true, 0, 9999, 'druhUctu.aktivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_316');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.aktivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_316' where kod = '316';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '323');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '323', 'Předpis záloh u nájemného', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_323');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_323' where kod = '323';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '326');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '326', 'Záruční závazky', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_326');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_326' where kod = '326';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '452');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '452', 'Rezervy na důchody a podobné závazky', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_452');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_452' where kod = '452';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '462');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '462', 'Eskontní úvěry', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_462');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_462' where kod = '462';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '476');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '476', 'Dlouhodobé závazky ke společníkům', true, 0, 9999, 'druhUctu.pasivni', 'typUctu.rozvahovy', false, 1, 'CZ_POD_476');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.pasivni', typuctuk = 'typUctu.rozvahovy', uuid = 'CZ_POD_476' where kod = '476';
    end if;
    
    cnt := (select count(*) from ustducty where kod = '647');
    if (cnt = 0) then
     INSERT INTO ustducty (lastupdate, kod, nazev, show, platiod, platido, druhuctuk, typuctuk, saldo, idtyporg, uuid)
     VALUES ('2016-06-16 00:00:00.000', '647', 'Odpis záporného goodwillu a oceňovacího rozdílu k nabytému majetku', true, 0, 9999, 'druhUctu.vynosy', 'typUctu.vysledkovy', false, 1, 'CZ_POD_647');
    else
       UPDATE ustducty set lastupdate = '2016-08-18 00:00:00', platido = 9999, druhuctuk = 'druhUctu.vynosy', typuctuk = 'typUctu.vysledkovy', uuid = 'CZ_POD_647' where kod = '647';
    end if;
    
    -- doplnění účtů do rozvahy a výsledovky
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1105, '2016-06-16 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_016'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1106, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_027'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1107, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_076'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1108, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_087'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1109, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 245, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_155'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1110, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 245, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_156'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1112, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 325, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_242'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1113, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 326, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_243'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1114, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 273, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_262'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1115, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 248, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_316'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1116, '2016-08-17 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 258, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_316'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1117, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 328, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_323'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1118, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 329, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_326'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1119, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 303, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_452'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1120, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 312, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_462'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1121, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 327, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_462'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1122, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 320, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_476'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1123, '2016-08-17 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 334, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_476'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1124, '2016-08-17 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_647'));
    end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 1037, 't', %appVersion%, clock_timestamp());
