--------------------------------------------------------------------------------
-- Bug 15040 – [WinStrom] Oprava výpočtu rozvahy před generací výsledovky
--------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION spustprotyporg(int, text) RETURNS void
    AS $$
begin
  execute spustprotyporg(array[$1], $2);
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.spustprotyporg(int, text) OWNER TO %firmaRole%;

CREATE OR REPLACE FUNCTION spustprotyporg(int[], text) RETURNS void
    AS $$
declare _idtyporgread int;
begin
  select idtyporg into _idtyporgread from nnastav limit 1;

  if (_idtyporgread = ANY ($1)) then
	execute $2;
  end if;
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION public.spustprotyporg(int[], text) OWNER TO %firmaRole%;



-- PODNIKATELÉ
-- zrušení přípočtu
update usestavy set idradcil = null, idseszdroj = null, idradzdroj = null where idsestavy = 1;

-- přesun účtů 430 a 431
update usesstdpred set idsesradky = 58 where idsesstdpred in (155, 156);

-- přidání sumací na řádek 85
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (372, ''2008-07-03 18:52:40.839'', false, 84, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (373, ''2008-07-03 18:52:40.839'', true, 109, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (374, ''2008-07-03 18:52:40.839'', true, 110, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (375, ''2008-07-03 18:52:40.839'', true, 108, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (376, ''2008-07-03 18:52:40.839'', true, 107, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (377, ''2008-07-03 18:52:40.839'', true, 105, 60)');
select spustprotyporg(1, 'INSERT INTO usessumace (idsessumace, lastupdate, prevratznam, idsesradkysum, idsesradky) VALUES (378, ''2008-07-03 18:52:40.839'', true, 106, 60)');

-- zvýšení verze databáze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 135, 't');
