------------------------------------------------------------------------------------------------------
-- Bug 20375 – [WinStrom] Do typů dokladů záložka "Tisky" doplnit možnost zadat kolik výtisků
------------------------------------------------------------------------------------------------------

ALTER TABLE dtypdokl ADD COLUMN tiskFakturaPocet integer DEFAULT 0;
ALTER TABLE dtypdokl ADD COLUMN tiskZjedDanDoklPocet integer DEFAULT 0;
ALTER TABLE dtypdokl ADD COLUMN tiskDodakPocet integer DEFAULT 0;
ALTER TABLE dtypdokl ADD COLUMN tiskPoklDoklPocet integer DEFAULT 0;
ALTER TABLE dtypdokl ADD COLUMN tiskDodakVydejkaPocet integer DEFAULT 0;
ALTER TABLE dtypdokl ADD COLUMN tiskVydejkaPocet integer DEFAULT 0;

update dtypdokl set tiskFakturaPocet = 1 where tiskFaktura = true;
update dtypdokl set tiskZjedDanDoklPocet = 1 where tiskZjedDanDokl = true;
update dtypdokl set tiskDodakPocet = 1 where tiskDodak = true;
update dtypdokl set tiskPoklDoklPocet = 1 where tiskPoklDokl = true;
update dtypdokl set tiskDodakVydejkaPocet = 1 where tiskDodakVydejka = true;
update dtypdokl set tiskVydejkaPocet = 1 where tiskVydejka = true;

ALTER TABLE dtypdokl DROP COLUMN tiskFaktura;
ALTER TABLE dtypdokl DROP COLUMN tiskZjedDanDokl;
ALTER TABLE dtypdokl DROP COLUMN tiskDodak;
ALTER TABLE dtypdokl DROP COLUMN tiskPoklDokl;
ALTER TABLE dtypdokl DROP COLUMN tiskDodakVydejka;
ALTER TABLE dtypdokl DROP COLUMN tiskVydejka;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 366, 't');
