--------------------------------------------------------------------------------
-- Bug 21787 – [WinStrom] Internetovy obchod ukazuje na Typy prijatych objednavek a ne na Sklad polozek objednavky
--------------------------------------------------------------------------------

alter table wkonektor
    add column idskladpolobj integer,
    add constraint idskladpolobj_fk foreign key (idskladpolobj)
        references dbsp (idbsp) match simple
        on update no action on delete set null;

CREATE INDEX wKonektor_idskladpolobj_index ON wKonektor USING btree (idskladpolobj);

-- Prevazani konektoru z typu dokladu na bsp
update wkonektor as k
set idskladpolobj = td.idbsp
from dtypdokl as td
where k.idtypsklobjpol = td.idtypdokl;

alter table wkonektor
    drop column idtypsklobjpol;

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 426, 't', %appVersion%, clock_timestamp());
