------------------------------------------------------------------------------------
-- Bug 22556 – [WinStrom] stromový ceník umožňuje více "stejných" vazeb
------------------------------------------------------------------------------------

delete from wvazuzel a
where exists (select 1 
from wvazuzel b
where a.idvazuzel > b.idvazuzel 
and a.iduzlu = b.iduzlu and a.idzaznamu = b.idzaznamu);

ALTER TABLE wvazuzel 
ADD CONSTRAINT wvazuzel_unique_vaz UNIQUE (iduzlu, idzaznamu);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 494, 't', %appVersion%, clock_timestamp());
