--------------------------------------------------------------------------------
-- Bug 18035 – [Winstrom] - mzdy chybné počítání svátků - NUTNÉ
--------------------------------------------------------------------------------

create or replace function runupgrade()
    returns void as $$
declare
    stat character varying(10);
    pocet integer;
begin
  select a.uuid into stat from nnastav n  left join utyporg u on u.idtyporg = n.idtyporg left join astaty a on a.idstatu = u.idstatu
    where ((select max(platioddata) from nnastav) is null or (select max(platioddata) from nnastav) = platioddata);
  
  -- kalkulacku aktualizujeme jen pro cechy
  if (stat = 'CZ_CZ') then
-- zacatek ceskeho bloku
-- update slozek

ALTER TABLE pmzdsloz DISABLE TRIGGER pmzdslozupdatedatumvypoctu;

UPDATE pcismzdsloz SET lastupdate = '2011-11-08 00:00:00.000', pracovni = true WHERE idcismzdsloz = 162;
UPDATE pcismzdsloz SET lastupdate = '2011-11-08 00:00:00.000', kod = 'ZÁKL.SP-1 PR.POM. DP', uuid = 'ZAKL.SP-1_PR.POM._DP' WHERE idcismzdsloz = 221;
UPDATE pcismzdsloz SET lastupdate = '2011-11-04 00:00:00.000', naosobu = true WHERE idcismzdsloz = 222;
UPDATE pcismzdsloz SET lastupdate = '2011-11-04 00:00:00.000', naosobu = true WHERE idcismzdsloz = 223;
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, poznam, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (347, '2011-11-04 00:00:00.000', 'SOC.POJ.ZÁKLAD DP', 'Sociální pojištění - základ  pro DP', 'nová', true, 6050, 'typSlozky.vypocet', 'skupinaSlozky.socPoj', true, false, false, false, false, false, false, false, false, false, true, true, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, false, 'SOC.POJ.ZAKLAD_DP');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, poznam, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (348, '2011-11-04 00:00:00.000', 'ZÁKL.PRO VÝPOČET DP', 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit (jen DP)', 'nová', true, 6050, 'typSlozky.vypocet', 'skupinaSlozky.socPoj', true, false, false, false, false, false, false, false, false, false, true, true, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, false, false, false, 'ZAKL.PRO_VYPOCET_DP');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, poznam, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (349, '2011-11-06 00:00:00.000', 'SOC.ZÁK.OD Z.ROKU DP', 'Základ pro sociální pojištění do limitu (jen DP)', 'nová', true, 6055, 'typSlozky.vypocet', 'skupinaSlozky.socPoj', true, false, false, false, false, false, false, false, false, false, true, true, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, true, false, false, false, false, 'SOC.ZAK.OD_Z.ROKU_DP');
INSERT INTO pcismzdsloz (idcismzdsloz, lastupdate, kod, nazev, poznam, popis, show, cisrad, typslozkyk, skupslozkyk, naosobu, vsdatod, vsdatdo, vsdnykal, vsdnyprac, vsdnysvatek, vshodiny, vshodinysvatek, vscastnahod, vscastnaden, vsprocmzd, vszaklmzd, vszakljekracen, vscastmzd, vszmenacastmzd, vspocetmes, vscisdoklnem, vsdoplatzdrpoj, vsprumnadennem, vsprumnahodnem, dnyprac, dnykal, dnysvatek, hodiny, castkahod, castkaden, procmzd, zaklmzd, zakljekracen, castmzd, zmenacastmzd, prumnadennem, prumnahodnem, pracovni, ukladatnulove, paskamala, paskavelka, zapoctovylist, uuid)
 VALUES (350, '2011-11-08 00:00:00.000', 'ZÁKL.SOC.POJ.1 POMĚR', 'Základ pro sociální pojištění pro1 pracovní poměr', '10.15.2 zrušení zaškrtnutí pracovní složka', '', true, 6095, 'typSlozky.vypocet', 'skupinaSlozky.socPoj', false, false, false, false, false, false, false, false, false, false, true, true, false, true, false, false, false, false, false, false, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, false, 0.0, false, 0.0, 0.0, false, false, false, false, false, 'ZAKL.SOC.POJ.1_POMER');

ALTER TABLE pmzdsloz ENABLE TRIGGER pmzdslozupdatedatumvypoctu;

PERFORM pg_catalog.setval('seq_pcismzdsloz', 350, true);

-- update hlavicky kalkulacky

UPDATE pmzdcalchlav SET lastupdate = '2011-11-07 00:00:00.000' WHERE idmzdcalchlav = 2;

-- update inicializacnich radek kalkulacky

-- update radek kalkulacky
DELETE FROM pmzdcalc WHERE idmzdcalc = 1275;
UPDATE pmzdcalc SET lastupdate = '2011-11-04 00:00:00.000', kod = 'SOC.ZÁKLAD JEN DP' WHERE idmzdcalc = 1250;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', kod = 'SOC.FIR.DŮCHOD JD', nazev = 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit', cisrad = 285, idmzdslozin = 348 WHERE idmzdcalc = 1252;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', kod = 'SOC.PRAC. DŮCHOD JD', nazev = 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit', cisrad = 286, idmzdslozin = 348 WHERE idmzdcalc = 1253;
UPDATE pmzdcalc SET lastupdate = '2011-11-07 00:00:00.000', cisrad = 263 WHERE idmzdcalc = 1254;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 264, polein = 'zaklMzd;procMzd', poleout = 'zaklMzd;procMzd' WHERE idmzdcalc = 1255;
UPDATE pmzdcalc SET lastupdate = '2011-11-07 00:00:00.000', cisrad = 266 WHERE idmzdcalc = 1256;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', nazev = 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit', poznam = 'byl na řádku 265', cisrad = 270 WHERE idmzdcalc = 1257;
UPDATE pmzdcalc SET lastupdate = '2011-11-07 00:00:00.000', poznam = '\nbyl na řádku  266\n\n03.01.2011 Oprava  - vyhozen typ sumace - kumuloval špatně počátek o d začátku roku', cisrad = 261 WHERE idmzdcalc = 1258;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 272 WHERE idmzdcalc = 1259;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 274 WHERE idmzdcalc = 1260;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 276 WHERE idmzdcalc = 1261;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 278, dohodnoty = 9.999999999999E12 WHERE idmzdcalc = 1262;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 280 WHERE idmzdcalc = 1263;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 282 WHERE idmzdcalc = 1264;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 283 WHERE idmzdcalc = 1265;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 284 WHERE idmzdcalc = 1266;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 287 WHERE idmzdcalc = 1267;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 288 WHERE idmzdcalc = 1268;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 289 WHERE idmzdcalc = 1269;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 290 WHERE idmzdcalc = 1270;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 291 WHERE idmzdcalc = 1271;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 292 WHERE idmzdcalc = 1272;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 293 WHERE idmzdcalc = 1273;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 296 WHERE idmzdcalc = 1274;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 297 WHERE idmzdcalc = 1276;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 298 WHERE idmzdcalc = 1277;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 299 WHERE idmzdcalc = 1278;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 304 WHERE idmzdcalc = 1279;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 305 WHERE idmzdcalc = 1280;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 306 WHERE idmzdcalc = 1281;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 307 WHERE idmzdcalc = 1282;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 308 WHERE idmzdcalc = 1283;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 300 WHERE idmzdcalc = 1284;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 309 WHERE idmzdcalc = 1285;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 310 WHERE idmzdcalc = 1286;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 311 WHERE idmzdcalc = 1287;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 312 WHERE idmzdcalc = 1288;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 313 WHERE idmzdcalc = 1289;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 314 WHERE idmzdcalc = 1290;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 315 WHERE idmzdcalc = 1291;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 316 WHERE idmzdcalc = 1292;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 317 WHERE idmzdcalc = 1293;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 318 WHERE idmzdcalc = 1294;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 319 WHERE idmzdcalc = 1295;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 320 WHERE idmzdcalc = 1296;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 321 WHERE idmzdcalc = 1297;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 322 WHERE idmzdcalc = 1298;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 323 WHERE idmzdcalc = 1299;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 324 WHERE idmzdcalc = 1300;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 325 WHERE idmzdcalc = 1301;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 326 WHERE idmzdcalc = 1302;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 327 WHERE idmzdcalc = 1303;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 328 WHERE idmzdcalc = 1304;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 329 WHERE idmzdcalc = 1305;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 330 WHERE idmzdcalc = 1306;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 331 WHERE idmzdcalc = 1307;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 332 WHERE idmzdcalc = 1308;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 333 WHERE idmzdcalc = 1309;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 334 WHERE idmzdcalc = 1310;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 335 WHERE idmzdcalc = 1311;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 336 WHERE idmzdcalc = 1312;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 337 WHERE idmzdcalc = 1313;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 338 WHERE idmzdcalc = 1314;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 339 WHERE idmzdcalc = 1315;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 340 WHERE idmzdcalc = 1316;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 341 WHERE idmzdcalc = 1317;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 342 WHERE idmzdcalc = 1318;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 343 WHERE idmzdcalc = 1319;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 344 WHERE idmzdcalc = 1320;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 345 WHERE idmzdcalc = 1321;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 346 WHERE idmzdcalc = 1322;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 347 WHERE idmzdcalc = 1323;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 348 WHERE idmzdcalc = 1324;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 349 WHERE idmzdcalc = 1325;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 350 WHERE idmzdcalc = 1326;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 351 WHERE idmzdcalc = 1327;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 352 WHERE idmzdcalc = 1328;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 353 WHERE idmzdcalc = 1329;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 354 WHERE idmzdcalc = 1330;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 355 WHERE idmzdcalc = 1331;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 356 WHERE idmzdcalc = 1332;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 357 WHERE idmzdcalc = 1333;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 358 WHERE idmzdcalc = 1334;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 359 WHERE idmzdcalc = 1335;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 360 WHERE idmzdcalc = 1336;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 361 WHERE idmzdcalc = 1337;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 362 WHERE idmzdcalc = 1338;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 363 WHERE idmzdcalc = 1339;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 364 WHERE idmzdcalc = 1340;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 365 WHERE idmzdcalc = 1341;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 366 WHERE idmzdcalc = 1342;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 367 WHERE idmzdcalc = 1343;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 368 WHERE idmzdcalc = 1344;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 369 WHERE idmzdcalc = 1345;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 370 WHERE idmzdcalc = 1346;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 371 WHERE idmzdcalc = 1347;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 372 WHERE idmzdcalc = 1348;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 373 WHERE idmzdcalc = 1349;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 374 WHERE idmzdcalc = 1350;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 375 WHERE idmzdcalc = 1351;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 376 WHERE idmzdcalc = 1352;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 377 WHERE idmzdcalc = 1353;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 378 WHERE idmzdcalc = 1354;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 379 WHERE idmzdcalc = 1355;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 380 WHERE idmzdcalc = 1356;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 381 WHERE idmzdcalc = 1357;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 382 WHERE idmzdcalc = 1358;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 383 WHERE idmzdcalc = 1359;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 384 WHERE idmzdcalc = 1360;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 385 WHERE idmzdcalc = 1361;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 386 WHERE idmzdcalc = 1362;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 387 WHERE idmzdcalc = 1363;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 388 WHERE idmzdcalc = 1364;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 389 WHERE idmzdcalc = 1365;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 390 WHERE idmzdcalc = 1366;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 391 WHERE idmzdcalc = 1367;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 392 WHERE idmzdcalc = 1368;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 393 WHERE idmzdcalc = 1369;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 394 WHERE idmzdcalc = 1370;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 395 WHERE idmzdcalc = 1371;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 396 WHERE idmzdcalc = 1372;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 397 WHERE idmzdcalc = 1373;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 398 WHERE idmzdcalc = 1374;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 399 WHERE idmzdcalc = 1375;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 400 WHERE idmzdcalc = 1376;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 401 WHERE idmzdcalc = 1377;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 402 WHERE idmzdcalc = 1378;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 403 WHERE idmzdcalc = 1379;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 404 WHERE idmzdcalc = 1380;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 405 WHERE idmzdcalc = 1381;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 406 WHERE idmzdcalc = 1382;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 407 WHERE idmzdcalc = 1383;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 408 WHERE idmzdcalc = 1384;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 409 WHERE idmzdcalc = 1385;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 410 WHERE idmzdcalc = 1386;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 411 WHERE idmzdcalc = 1387;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 412 WHERE idmzdcalc = 1388;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 419 WHERE idmzdcalc = 1391;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 420 WHERE idmzdcalc = 1392;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 422 WHERE idmzdcalc = 1393;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 423 WHERE idmzdcalc = 1394;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 424 WHERE idmzdcalc = 1395;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 425 WHERE idmzdcalc = 1396;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 426 WHERE idmzdcalc = 1397;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 427 WHERE idmzdcalc = 1398;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 428 WHERE idmzdcalc = 1399;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 429 WHERE idmzdcalc = 1400;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 430 WHERE idmzdcalc = 1401;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 431 WHERE idmzdcalc = 1402;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 432 WHERE idmzdcalc = 1403;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 433 WHERE idmzdcalc = 1404;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 434 WHERE idmzdcalc = 1405;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 435 WHERE idmzdcalc = 1406;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 436 WHERE idmzdcalc = 1407;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 437 WHERE idmzdcalc = 1408;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 438 WHERE idmzdcalc = 1409;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 439 WHERE idmzdcalc = 1410;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 440 WHERE idmzdcalc = 1411;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 441 WHERE idmzdcalc = 1412;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 443 WHERE idmzdcalc = 1413;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 444 WHERE idmzdcalc = 1414;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 445 WHERE idmzdcalc = 1415;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 446 WHERE idmzdcalc = 1416;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 447 WHERE idmzdcalc = 1417;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 448 WHERE idmzdcalc = 1418;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 449 WHERE idmzdcalc = 1419;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 450 WHERE idmzdcalc = 1420;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 451 WHERE idmzdcalc = 1421;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 452 WHERE idmzdcalc = 1422;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 453 WHERE idmzdcalc = 1423;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 454 WHERE idmzdcalc = 1424;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 455 WHERE idmzdcalc = 1425;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 457, koeficient2 = 1.0 WHERE idmzdcalc = 1426;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 458 WHERE idmzdcalc = 1427;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 460 WHERE idmzdcalc = 1428;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 461 WHERE idmzdcalc = 1429;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 462 WHERE idmzdcalc = 1430;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 463 WHERE idmzdcalc = 1431;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 464 WHERE idmzdcalc = 1432;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 465 WHERE idmzdcalc = 1433;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 466 WHERE idmzdcalc = 1434;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 467 WHERE idmzdcalc = 1436;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 468 WHERE idmzdcalc = 1437;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 469 WHERE idmzdcalc = 1438;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 470 WHERE idmzdcalc = 1439;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 471 WHERE idmzdcalc = 1440;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 472 WHERE idmzdcalc = 1441;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 473 WHERE idmzdcalc = 1442;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 474 WHERE idmzdcalc = 1443;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 475 WHERE idmzdcalc = 1444;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 476 WHERE idmzdcalc = 1445;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 477 WHERE idmzdcalc = 1446;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 478 WHERE idmzdcalc = 1447;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 479 WHERE idmzdcalc = 1448;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 459 WHERE idmzdcalc = 1449;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 480 WHERE idmzdcalc = 1450;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 481 WHERE idmzdcalc = 1451;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 482 WHERE idmzdcalc = 1452;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 483 WHERE idmzdcalc = 1453;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 484 WHERE idmzdcalc = 1454;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 485 WHERE idmzdcalc = 1455;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 486 WHERE idmzdcalc = 1456;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 487 WHERE idmzdcalc = 1457;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 488 WHERE idmzdcalc = 1458;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 489 WHERE idmzdcalc = 1459;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 490 WHERE idmzdcalc = 1460;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 491 WHERE idmzdcalc = 1461;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 492 WHERE idmzdcalc = 1462;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 493 WHERE idmzdcalc = 1463;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 494 WHERE idmzdcalc = 1464;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 495 WHERE idmzdcalc = 1465;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 496 WHERE idmzdcalc = 1466;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 497 WHERE idmzdcalc = 1467;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 498 WHERE idmzdcalc = 1468;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 499 WHERE idmzdcalc = 1469;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 500 WHERE idmzdcalc = 1470;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 501 WHERE idmzdcalc = 1471;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 502 WHERE idmzdcalc = 1472;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 503 WHERE idmzdcalc = 1473;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 504 WHERE idmzdcalc = 1474;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 505 WHERE idmzdcalc = 1475;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 506 WHERE idmzdcalc = 1476;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 507 WHERE idmzdcalc = 1477;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 508 WHERE idmzdcalc = 1478;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 509 WHERE idmzdcalc = 1479;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 510 WHERE idmzdcalc = 1480;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 511 WHERE idmzdcalc = 1481;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 512 WHERE idmzdcalc = 1482;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 513 WHERE idmzdcalc = 1483;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 514 WHERE idmzdcalc = 1484;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 515 WHERE idmzdcalc = 1485;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 516 WHERE idmzdcalc = 1486;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 517 WHERE idmzdcalc = 1487;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 518 WHERE idmzdcalc = 1488;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 519 WHERE idmzdcalc = 1489;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 520 WHERE idmzdcalc = 1490;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 521 WHERE idmzdcalc = 1491;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 522 WHERE idmzdcalc = 1492;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 523 WHERE idmzdcalc = 1493;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 524 WHERE idmzdcalc = 1494;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 525 WHERE idmzdcalc = 1495;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 526 WHERE idmzdcalc = 1496;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 527 WHERE idmzdcalc = 1497;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 528 WHERE idmzdcalc = 1498;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 529 WHERE idmzdcalc = 1499;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 530 WHERE idmzdcalc = 1500;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 531 WHERE idmzdcalc = 1501;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 532 WHERE idmzdcalc = 1502;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 533 WHERE idmzdcalc = 1503;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 534 WHERE idmzdcalc = 1504;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 535 WHERE idmzdcalc = 1505;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 536 WHERE idmzdcalc = 1506;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 537 WHERE idmzdcalc = 1507;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 538 WHERE idmzdcalc = 1508;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 539 WHERE idmzdcalc = 1509;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 540 WHERE idmzdcalc = 1510;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 541 WHERE idmzdcalc = 1511;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 542 WHERE idmzdcalc = 1512;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 543 WHERE idmzdcalc = 1513;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 544 WHERE idmzdcalc = 1514;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 545 WHERE idmzdcalc = 1515;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 546 WHERE idmzdcalc = 1516;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 547 WHERE idmzdcalc = 1517;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 548 WHERE idmzdcalc = 1518;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 549 WHERE idmzdcalc = 1519;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 550 WHERE idmzdcalc = 1520;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 551 WHERE idmzdcalc = 1521;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 552 WHERE idmzdcalc = 1522;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 553 WHERE idmzdcalc = 1523;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 554 WHERE idmzdcalc = 1524;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 555 WHERE idmzdcalc = 1525;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 556 WHERE idmzdcalc = 1526;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 557 WHERE idmzdcalc = 1527;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 558 WHERE idmzdcalc = 1528;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 559 WHERE idmzdcalc = 1529;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 560 WHERE idmzdcalc = 1530;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 561 WHERE idmzdcalc = 1531;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 562 WHERE idmzdcalc = 1532;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 563 WHERE idmzdcalc = 1533;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 564 WHERE idmzdcalc = 1534;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 565 WHERE idmzdcalc = 1535;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 566 WHERE idmzdcalc = 1536;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 567 WHERE idmzdcalc = 1537;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 568 WHERE idmzdcalc = 1538;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 569 WHERE idmzdcalc = 1539;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 570 WHERE idmzdcalc = 1540;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 571 WHERE idmzdcalc = 1541;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 572 WHERE idmzdcalc = 1542;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 573 WHERE idmzdcalc = 1543;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 574 WHERE idmzdcalc = 1544;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 577 WHERE idmzdcalc = 1545;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 578 WHERE idmzdcalc = 1546;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 579 WHERE idmzdcalc = 1547;
UPDATE pmzdcalc SET lastupdate = '2011-11-11 00:00:00.000', cisrad = 580 WHERE idmzdcalc = 1548;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 442 WHERE idmzdcalc = 1549;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 281 WHERE idmzdcalc = 1550;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 413 WHERE idmzdcalc = 1551;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 421 WHERE idmzdcalc = 1552;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 414 WHERE idmzdcalc = 1553;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 415 WHERE idmzdcalc = 1554;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 416 WHERE idmzdcalc = 1555;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 417 WHERE idmzdcalc = 1556;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 418 WHERE idmzdcalc = 1557;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 301 WHERE idmzdcalc = 1562;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 302 WHERE idmzdcalc = 1563;
UPDATE pmzdcalc SET lastupdate = '2011-11-10 00:00:00.000', cisrad = 303 WHERE idmzdcalc = 1564;
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1570, '2011-11-10 00:00:00.000', 'SOC.POJ.ZÁKLAD DP', 'Základ pro sociální pojištění  - pro pracovní poměry platící jen DP - společníci, jednatelé atd.  ', true, 265, 1.0, 1.0, 0.0, 'zaklMzd;procMzd', 'zaklMzd;procMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 221, 347);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1571, '2011-11-10 00:00:00.000', 'SOC.ZÁK.OD Z.ROKU DP', 'Sociální pojištění - základ  pro DP', true, 273, 1.0, 1.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 347, 349);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1572, '2011-11-10 00:00:00.000', 'ZÁKL.PRO VÝPOČET DP', 'Sociální pojištění - základ  pro DP', true, 277, 1.0, 1.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 9.999999999999E12, 'mzdCalcOper.plus', false, 0, false, 2, 347, 348);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, poznam, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1573, '2011-11-10 00:00:00.000', 'ZÁKL.PRO VÝPOČET DP', 'Základ pro sociální pojištění do limitu', '02.01.2011 změna částky', true, 275, -1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 1781280.0, 9.99999999999999E12, 'mzdCalcOper.plus', false, 0, false, 2, 349, 348);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1574, '2011-11-10 00:00:00.000', 'ZÁKL.PRO VÝPOČET DP', '----- Sociální pojištění - oprava základu', true, 279, 1.0, 1.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 9.999999999999E12, 'mzdCalcOper.plus', false, 0, false, 2, 164, 348);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, poznam, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, sumtypk, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1575, '2011-11-10 00:00:00.000', 'SOC.ZÁK.OD Z.ROKU DP', 'Základ pro výpočet sociální pojištění, který nepřekračuje roční limit', 'byl na řádku 265', true, 271, 1.0, 0.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 'mzdCalcSuma.rokPred', 0, false, 2, 348, 349);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, poznam, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1576, '2011-11-07 00:00:00.000', 'SOC.ZÁK.OD Z.ROKU DP', '---- Přidání počátku ', '\nbyl na řádku  266\n\n03.01.2011 Oprava  - vyhozen typ sumace - kumuloval špatně počátek o d začátku roku', true, 260, 1.0, 1.0, 0.0, 'zaklMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 196, 349);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1577, '2011-11-07 00:00:00.000', 'SOC.ZÁKLAD DP 1 POM.', 'Základ pro sociální pojištění  - pro pracovní poměry platící jen DP - společníci, jednatelé atd.  ', 'pro dpp, malý rozsah do 2000 atd se nuluje', true, 262, 0.0, 1.0, 0.0, 'procMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 2, 221, 221);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1578, '2011-11-11 00:00:00.000', 'STRAVNÉ VYPOČTENÉ', 'Stravné dle odprac. dnů ', true, 456, 0.0, 0.0, 0.0, 'dnyPrac', '', 'dnyPrac', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 133, 133);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1579, '2011-11-10 00:00:00.000', 'ZÁKL.SOC.POJ.1 POMĚR', '1 pracovní poměr  - základ pro sociální pojištění ', '', true, 295, 1.0, 1.0, 0.0, 'zaklMzd', '', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 162, 350);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1580, '2011-11-11 00:00:00.000', 'ZÁKL.ZP-1 PRAC.POMĚR', 'Celkové zdravotní pojištění', true, 575, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.rozdelPomer', false, 0, false, 2, 218, 163, 163);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1581, '2011-11-11 00:00:00.000', 'ZÁKL.SOC.POJ.1 POMĚR', 'Celkové sociální pojištění', true, 581, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 'castMzd', 0.0, 0.0, 'mzdCalcOper.rozdelPomer', false, 0, false, 2, 217, 350, 350);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, popis, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1582, '2011-11-10 00:00:00.000', 'ZÁKL.SOC.POJ.1 POMĚR', 'Základ pro sociální pojištění  - pro pracovní poměry platící jen DP - společníci, jednatelé atd.  ', '', true, 294, 1.0, 1.0, 0.0, 'zaklMzd', '', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 221, 350);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1583, '2011-11-11 00:00:00.000', 'ZÁKL.ZP-1 PRAC.POMĚR', 'Zdravotní  pojištění - firma', true, 576, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.rozdelPomer', false, 0, false, 2, 104, 163, 163);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1584, '2011-11-10 00:00:00.000', 'ZÁKL.SOC.POJ.1 POMĚR', 'Sociální pojištění - firma', true, 582, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 'procMzd', 0.0, 0.0, 'mzdCalcOper.rozdelPomer', false, 0, false, 2, 229, 350, 350);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1585, '2011-11-10 00:00:00.000', 'SOC.POJ.ZÁKLAD', 'Sociální pojištění - základ ', true, 267, 1.0, 0.0, 0.0, 'zaklMzd', 'procMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 2, 94, 94, 94);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, polein2, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozin2, idmzdslozout)
 VALUES (1586, '2011-11-10 00:00:00.000', 'SOC.POJ.ZÁKLAD DP', 'Sociální pojištění - základ  pro DP', true, 269, 1.0, 0.0, 0.0, 'zaklMzd', 'procMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.krat', false, 0, false, 2, 347, 347, 347);
INSERT INTO pmzdcalc (idmzdcalc, lastupdate, kod, nazev, show, cisrad, koeficient, koeficient2, koeficient3, polein, poleout, odhodnoty, dohodnoty, operacek, vyhodnotrocne, summesicu, ispv, idmzdcalchlav, idmzdslozin, idmzdslozout)
 VALUES (1587, '2011-11-10 00:00:00.000', 'SOC.POJ.ZÁKLAD DP', 'Penzijní připojištění Skupina.Dan - Daněno', true, 268, 1.0, 1.0, 0.0, 'castMzd', 'zaklMzd', 0.0, 0.0, 'mzdCalcOper.plus', false, 0, false, 2, 65, 347);

PERFORM pg_catalog.setval('seq_pmzdcalc', 1587, true);

-- pracovni pomery
-- parametry pro typ prac pom

-- konec ceskeho bloku
  end if; 
end;
$$ LANGUAGE plpgsql;
ALTER FUNCTION runupgrade() OWNER TO %firmaRole%;

select runupgrade();

drop function runupgrade();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 553, 't', %appVersion%, clock_timestamp());
