-- Bug 13251 – [WinStrom] Vytvorit grafickou a databazovou podporu pro pristupova prava

-- sekvence pro tabulku dat s pravy pro data
CREATE SEQUENCE seq_wDataPrava
	START WITH 1
	INCREMENT BY 1
	NO MAXVALUE
	NO MINVALUE
	CACHE 1;
ALTER TABLE public.seq_wDataPrava OWNER TO %firmaRole%;

-- tabulka pro prava pro data
CREATE TABLE wDataPrava
	(idDataPrava integer DEFAULT nextval('seq_wDataPrava'::regclass) NOT NULL,
	idUzivatel integer NOT NULL,
	tabulkaK character varying(50) NOT NULL,
	modulK character varying(50),
	pole character varying(50) NOT NULL,
	idObjektu integer NOT NULL,
	CONSTRAINT wDataPrava_pkey PRIMARY KEY (idDataPrava),
	CONSTRAINT wDataPrava_idUzivatel FOREIGN KEY (idUzivatel) 
		REFERENCES wUzivatel (idUzivatel));

ALTER TABLE wDataPrava OWNER TO %firmaRole%;

CREATE INDEX wDataPrava_idUzivatel_index ON wDataPrava USING btree (idUzivatel);


ALTER TABLE mleasing
        ADD COLUMN idUziv integer;
        
ALTER TABLE mmajetek
        ADD COLUMN idUziv integer;

ALTER TABLE ONLY mleasing
    ADD CONSTRAINT fka11fef6af1048d1d FOREIGN KEY (iduziv) REFERENCES wuzivatel(iduzivatel);
    
ALTER TABLE ONLY mmajetek
    ADD CONSTRAINT fkcfab66befa048d1d FOREIGN KEY (iduziv) REFERENCES wuzivatel(iduzivatel);

insert into dbversion(iddbversion, dbversion, needreimport)
  values (nextval('seq_dbversion'), 65, 't');
