--------------------------------------------------------------------------------
-- Bug 32856 – [WinStrom] Štítky na místech určení
--------------------------------------------------------------------------------

CREATE TABLE wkli_amisturc (
    idmur integer NOT NULL,
    idvybklic integer NOT NULL,

    CONSTRAINT wkli_amisturc_pkey PRIMARY KEY (idmur, idvybklic),
    CONSTRAINT wkli_amisturc_idmisturc FOREIGN KEY (idmur)
      REFERENCES amisturc (idmur) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
    CONSTRAINT wkli_amisturc_idvybklic FOREIGN KEY (idvybklic)
        REFERENCES wvybklice(idvybklice) MATCH SIMPLE
        ON UPDATE NO ACTION ON DELETE NO ACTION
);
ALTER TABLE public.wkli_amisturc OWNER TO %firmaRole%;

CREATE INDEX wkli_amisturc_idmur_index ON wkli_amisturc USING btree (idmur);
CREATE INDEX wkli_amisturc_idvybklic_index ON wkli_amisturc USING btree (idvybklic);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 700, 't', %appVersion%, clock_timestamp());
