--------------------------------------------------------------------------------
-- Bug 36854 – [Winstrom] Doplnit řádek do místa určení a střediska
-- Bug 36841 – [FlexiBee] Přidat do nákupních dokladů "Dodat na adresu"
--------------------------------------------------------------------------------

ALTER TABLE amisturc ADD COLUMN nazev2 character varying(255);

ALTER TABLE ustrediska ADD COLUMN nazev2 character varying(255);
ALTER TABLE ustrediska ADD COLUMN nazev2a character varying(255);
ALTER TABLE ustrediska ADD COLUMN nazev2b character varying(255);
ALTER TABLE ustrediska ADD COLUMN nazev2c character varying(255);

ALTER TABLE ddoklfak ADD COLUMN iddodatna integer;
ALTER TABLE ddoklint ADD COLUMN iddodatna integer;
ALTER TABLE ddoklobch ADD COLUMN iddodatna integer;
ALTER TABLE ddoklsklad ADD COLUMN iddodatna integer;

ALTER TABLE ddoklfak ADD CONSTRAINT ddoklfak_iddodatna FOREIGN KEY (iddodatna)
  REFERENCES aadresar (idfirmy) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE ddoklint ADD CONSTRAINT ddoklint_iddodatna FOREIGN KEY (iddodatna)
  REFERENCES aadresar (idfirmy) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE ddoklobch ADD CONSTRAINT ddoklobch_iddodatna FOREIGN KEY (iddodatna)
  REFERENCES aadresar (idfirmy) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
ALTER TABLE ddoklsklad ADD CONSTRAINT ddoklsklad_iddodatna FOREIGN KEY (iddodatna)
  REFERENCES aadresar (idfirmy) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX dDoklFak_IdDodatNa_index ON dDoklFak USING btree (IdDodatNa);
CREATE INDEX dDoklInt_IdDodatNa_index ON dDoklInt USING btree (IdDodatNa);
CREATE INDEX dDoklObch_IdDodatNa_index ON dDoklObch USING btree (IdDodatNa);
CREATE INDEX dDoklSklad_IdDodatNa_index ON dDoklSklad USING btree (IdDodatNa);

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
  values (nextval('seq_dbversion'), 804, 't', %appVersion%, clock_timestamp());
