--------------------------------------------------------------------------------------
-- Bug 45117 - Chyby v rozvaze: (Rozvaha v plném rozsahu od r. 2016)
-- Bug 45118 - Chyby ve vysledovce: (Výkaz zisku a ztráty - druhové členění od r.2016)
---------------------------------------------------------------------------------------

CREATE OR REPLACE FUNCTION runUpgradeSestav2016()
RETURNS void AS $$
DECLARE
  _idtyporgread integer;
BEGIN
  select idtyporg into _idtyporgread from nnastav limit 1;

  -- sestavy aktualizujeme jen pro cechy
  IF (_idtyporgread = 1) THEN

    UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 604;
    UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 635;
    UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 697;
    UPDATE usesstdpred SET jenkladne = true WHERE idsesstdpred = 738;
    UPDATE usesstdpred SET jenkladne = false WHERE idsesstdpred = 741;
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (851, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 205, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_010'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (852, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 207, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_010'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (853, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 208, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_010'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (854, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 209, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_010'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (855, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_010'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (856, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 217, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_020'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (857, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 221, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_020'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (858, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 222, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_020'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (859, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_020'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (860, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_020'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (861, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 216, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_030'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (862, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 226, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (863, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 228, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (864, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 230, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (865, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 232, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (866, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (867, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 235, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_040'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (868, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_050'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (869, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 225, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_050'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (870, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 236, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_050'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (871, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 228, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (872, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 229, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (873, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 230, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (874, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 231, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (875, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 232, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (876, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 233, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (877, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 235, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_060'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (878, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 205, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_070'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (879, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 207, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_070'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (880, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 208, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_070'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (881, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 209, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_070'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (882, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_070'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (883, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 217, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_080'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (884, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_080'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (885, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 221, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_080'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (886, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 222, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_080'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (887, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_080'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (888, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_030'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (889, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 205, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (890, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 207, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (891, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 208, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (892, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 209, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (893, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (894, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 212, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (895, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 213, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (896, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 216, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (897, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 217, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (898, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 218, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (899, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 219, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (900, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 221, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (901, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 222, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (902, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 223, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (903, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 225, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (904, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 226, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (905, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 228, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (906, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 229, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (907, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 230, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (908, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 231, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (909, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 232, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (910, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 233, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (911, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 235, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (912, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 236, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_090'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (913, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_110'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (914, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 240, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_120'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (915, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 242, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_120'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (916, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 244, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_120'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (917, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 243, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_130'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (918, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 245, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_150'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (919, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 239, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (920, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 240, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (921, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 242, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (922, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 243, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (923, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 244, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (924, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 245, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_190'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (925, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 272, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_210'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (926, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 273, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_220'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (927, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 327, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_220'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (928, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 327, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_230'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (929, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 326, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (930, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 270, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (931, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 269, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (932, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 272, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_260'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (933, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 273, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_260'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (934, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 269, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_290'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (935, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 270, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_290'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (936, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 335, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_240'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (937, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 325, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_240'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (938, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 325, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (939, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 248, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_310'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (940, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 258, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_310'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (941, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 265, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_310'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (942, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 328, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_320'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (943, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 329, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_320'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (944, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 330, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_320'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (945, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 336, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (946, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 337, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (947, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 263, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (948, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 338, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_340'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (949, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 264, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_340'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (950, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 249, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (951, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 250, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (952, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 253, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (953, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 254, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_310'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (954, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', false, false, 256, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (955, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 259, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (956, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 260, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (957, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 262, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (958, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', false, false, 267, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_330'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (959, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 320, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_360'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (960, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 331, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_360'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (961, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 332, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_360'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (962, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 334, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_360'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (963, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 340, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_370'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (964, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 322, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_370'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (965, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 256, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_370'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (966, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 267, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_370'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (967, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 275, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (968, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 276, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (969, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 277, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (970, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 342, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (971, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 343, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (972, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 248, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (973, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 249, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (974, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 250, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (975, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 253, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (976, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 254, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (977, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 255, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (978, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 256, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (979, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 258, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (980, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 259, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (981, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 260, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (982, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 262, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (983, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 263, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (984, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 264, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (985, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 265, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (986, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 266, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (987, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 267, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (988, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', true, false, 334, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_390'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (989, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 281, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (990, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 285, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (991, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 287, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (992, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 288, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (993, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 289, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (994, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 290, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (995, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 291, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (996, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 293, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_420'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (997, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 294, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_420'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (998, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 296, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_420'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (999, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 297, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_420'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1000, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 298, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_420'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1001, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 300, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_430'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1002, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 303, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_450'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1003, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 304, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_450'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1004, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 305, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_450'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1005, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 306, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_450'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1006, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 310, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1007, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 311, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1008, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 312, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_460'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1009, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 327, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_460'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1010, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 310, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1011, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 311, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1012, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 313, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1013, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 314, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1014, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 315, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1015, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', false, false, 316, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1016, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 317, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1017, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 321, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1018, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 322, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1019, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 325, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1020, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 326, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1021, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 328, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1022, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 329, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1023, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 330, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1024, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 331, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1025, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 332, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1026, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 336, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1027, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 339, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_380'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1028, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 340, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_470'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1029, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, true, 318, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_480'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1030, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 281, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_490'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1031, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 202, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_350'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1032, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 251, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_480'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1033, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 282, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_250'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1034, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 283, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_410'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1035, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 326, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_240'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1036, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 347, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_500'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1037, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 348, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_500'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1038, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 349, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_510'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1039, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 353, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_520'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1040, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 355, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_520'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1041, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 356, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_520'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1042, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 370, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_530'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1043, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 368, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_540'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1044, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 369, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_540'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1045, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 372, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_540'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1046, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 359, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_550'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1047, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 360, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_550'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1048, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 361, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_550'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1049, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 362, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_550'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1050, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 371, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_550'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1051, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 377, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_560'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1052, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 381, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_560'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1053, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 387, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_560'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1054, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 388, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_560'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1055, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 390, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_560'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1056, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 385, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_570'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1057, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_580'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1058, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_580'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1059, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 394, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_590'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1060, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 395, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_590'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1061, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 397, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_590'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1062, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 344, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_600'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1063, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 345, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_600'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1064, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 364, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_640'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1065, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 365, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_640'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1066, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_640'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1067, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 375, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1068, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 376, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1069, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 379, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1070, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 380, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1071, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 383, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1072, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 384, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1073, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 389, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_660'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1074, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 389, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_690'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1075, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_690'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1076, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 372, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_590'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1077, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 390, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_590'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1078, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 267, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_395'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1079, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', true, false, 340, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_395'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1080, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 264, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_346'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1081, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, true, 264, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_347'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1082, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 293, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_422'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1083, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 277, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_386'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1084, '2016-04-04 00:00:00.000', 'druhUctu.pasivni', 1, 'zpusobVypo.stavKon', true, false, 342, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_387'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1085, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 248, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_312'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1086, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 258, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_312'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1087, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 1, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_011'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1088, '2016-04-04 00:00:00.000', 'druhUctu.aktivni', 2, 'zpusobVypo.stavKon', false, false, 210, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_071'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1089, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 372, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_589'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1090, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_680'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1091, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_681'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1092, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 366, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_688'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1093, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 394, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_593'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1094, '2016-04-04 00:00:00.000', 'druhUctu.naklady', 1, 'zpusobVypo.obrat', false, false, 394, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_594'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1095, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_610'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1096, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_611'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1097, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_612'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1098, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_613'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1099, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 350, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_614'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1100, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_620'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1101, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_621'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1102, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_622'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1103, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_623'));
    INSERT INTO usesstdpred (idsesstdpred, lastupdate, druhuctuk, cissloup, zpusobvypk, prevratznam, jenkladne, idsesradky, idstducet)
     VALUES (1104, '2016-04-04 00:00:00.000', 'druhUctu.vynosy', 1, 'zpusobVypo.obrat', true, false, 351, (select IdStdUcet from uStdUcty where uuid = 'CZ_POD_624'));
    DELETE FROM usesstdpred WHERE idsesstdpred = 751;
    DELETE FROM usesstdpred WHERE idsesstdpred = 750;
    
    -- změna typů účtů:
    UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvy' WHERE uuid = 'CZ_POD_347';
    UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'CZ_POD_370';
    UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'CZ_POD_373';
    UPDATE ustducty SET druhuctuk = 'druhUctu.aktpasvo' WHERE uuid = 'CZ_POD_380';

   
  END IF;
  RETURN;
 END;
 $$ LANGUAGE plpgsql;
 ALTER FUNCTION runUpgradeSestav2016() OWNER TO %firmaRole%;
   
select runUpgradeSestav2016();
drop function runUpgradeSestav2016();

-- zvyseni verze databaze
insert into dbversion(iddbversion, dbversion, needreimport, appversion, upgradetime)
values (nextval('seq_dbversion'), 996, 't', %appVersion%, clock_timestamp());
