<?xml version="1.0" encoding="utf-8" ?>
<!--ve sloupci popis u polozky "Systémové zaokrouhlení CM" není uvedená měna-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java" >
  <xsl:output method="xml" indent="yes" encoding="utf-8" />
  <xsl:template match="winstrom">
    
    <xsl:key name="bank" match="banka" use="INTER"/>
    <xsl:key name="vazba1" match="vazby" use="INT_ZDR" />
    <xsl:key name="vazba2" match="vazby" use="INT_TER" />
    <xsl:key name="fak_vyd" match="faktura-vydana" use="INTER" />
    <xsl:key name="fak_prij" match="faktura-prijata" use="INTER" />
  

  
  
    <winstrom version="1.0">
      <!--<bankovni-ucet>
        <id>ext:PREMIER:UCET MIGRACE</id>
        <kod>UCET MIGRACE</kod>
        <nazev>UCET MIGRACE</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:221001</primUcet>
      </bankovni-ucet>-->
      <bankovni-ucet>
        <id>ext:PREMIER:B1</id>
        <kod>B1</kod>
        <nazev>B1</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:221100</primUcet>
      </bankovni-ucet>
      <bankovni-ucet>
        <id>ext:PREMIER:B2</id>
        <kod>B2</kod>
        <nazev>B2</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:221110</primUcet>
      </bankovni-ucet>
      <bankovni-ucet>
        <id>ext:PREMIER:BE</id>
        <kod>BE</kod>
        <nazev>B3</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:221200</primUcet>
        <mena showAs="EUR: Euro">code:EUR</mena>
        <menaBanky showAs="EUR: Euro">code:EUR</menaBanky>
      </bankovni-ucet>
      <pokladna>
        <id>ext:PREMIER:P</id>
        <kod>P</kod>
        <nazev>pokladna migrace</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:211100</primUcet>
      </pokladna>
      <pokladna>
        <id>ext:PREMIER:PE</id>
        <kod>PE</kod>
        <nazev>pokladna EUR migrace</nazev>
        <typDoklK>typDokladu.proforma</typDoklK>
        <bucPrimarni>false</bucPrimarni>
        <primUcet>code:211110</primUcet>
        <mena showAs="EUR: Euro">code:EUR</mena>
        <menaBanky showAs="EUR: Euro">code:EUR</menaBanky>
      </pokladna>
      
      
      <xsl:apply-templates select="banka"/>
    </winstrom>
  </xsl:template>
    <!--


	INTER,N,8,0	ok
	STKOD,N,12,0	
	ZKKOD,N,12,0	ok
	DATUM,D		ok
	DOKLAD,C,3	ok
	CISLO,N,12,0	ok
	POPIS,C,192	ok
	CASTKA,N,14,2	ok
	MD,C,6		ok
	DAL,C,6		ok
	CISLO_ODB,C,10	ok
	NAZEV_ODB,C,64	ok
	NAZEV_OD2,C,64	
	SBORNIK,N,10,0	
	POZNAMKA,C,24	
	KOD_DPH,C,2	
	SB_KOD,C,2	
	MENA,C,3	ok
	KURS,N,18,10	ok
	M_KURS,N,5,0	ok
	ZCASTKA,N,15,2	
	IKOD,C,1	ok
	OBJEDNAVKA,C,24	
	DOD_LIST,C,24	
	ZAOK,N,4,2	
	ZAOK_ROUND,N,2,0
	VYSTAVIL,C,24	
	ULICE_ODB,C,28	ok
	PSC_ODB,C,10	ok
	MESTO_ODB,C,28	ok
	STAT_ODB,C,24	
	ICO_ODB,C,8	ok
	DIC_ODB,C,14	  ok
	PRILOHY,C,24	
	OZN_MENY,C,3	
	MENA_PRED,L	
	UC_VF,C,6	
	UC_ZA,C,6	
	MNOZSTVI,N,12,3	
	MJ,C,6		
	MATERIAL,C,20	
	INTMAT,N,8,0	
	SAZBA_DPH,N,5,2	
	CASTKA_DPH,N,15,2	
	CIZI_DPH,N,15,2	
	US_ADD,C,16	
	US_EDI,C,16	
	USD_ADD,C,16	
	USD_EDI,C,16	
	OTEVRENO,N,15,2	
	VARIABL,C,24	ok
	VAR_DAL,C,24	
	VIZE,N,2,0	
	ZUST_MD,N,15,2	
	ZUST_DAL,N,15,2	
	ZZUST_MD,N,15,2	
	ZZUST_DAL,N,15,2	
	DAN1,N,12,0	
	DAN2,N,12,0	
	DAN3,C,12	
	VAP,N,15,2	
	VAP_PR,N,7,2	
	DATUM_OD,D	
	DATUM_DO,D	
	DEN,N,2,0	
	PERIODA,N,1,0	
	RADA,C,3	
	DOPRAVA,C,24	
	CENA_SLV,N,15,2	
	SLEVA_PR,N,6,2	
	TS,C,40	
	ID,C,36	
	TYP_DOKL,C,3	
	DATUM_DPH,D	ok
	KURS_DPH,N,18,10	
	BARVA,N,8,0

    -->
  
  <xsl:template match="banka">
  
  <xsl:if test="CASTKA != '0'">
  
            <xsl:choose>
            
              <!--<xsl:when test="SB_KOD = 'PF'">
                <banka>
                  <id>ext:PREMIER:banka:FP<xsl:value-of select="CISLO"/></id>
                  <kod>FP<xsl:value-of select="CISLO"/></kod>
                  <typPohybuK>typPohybu.vydej</typPohybuK>
                  
                  <xsl:if test="POPIS != 'Systémové zaokrouhlení CM (shoda na fakturu)'">
                  <typDokl>code:UCET MIGRACE</typDokl>
                  </xsl:if>
                  
                   
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
            		    
            		  
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <bezPolozek>false</bezPolozek>
                
                  <polozkyIntDokladu>
                    <banka-polozka>
                      <id>ext:PREMIER:banka:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </banka-polozka>
                  </polozkyIntDokladu>
                </banka>
              </xsl:when>
              
               
              <xsl:when test="SB_KOD = 'VF'">
                <banka>
                  <id>ext:PREMIER:banka:FV<xsl:value-of select="CISLO"/></id>
                  <kod>FV<xsl:value-of select="CISLO"/></kod>
                  <typPohybuK>typPohybu.prijem</typPohybuK>
                  
                  <xsl:if test="POPIS != 'Systémové zaokrouhlení CM (shoda na fakturu)'">
                  <typDokl>code:UCET MIGRACE</typDokl>
                  </xsl:if>
                  
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
            		    
            		    
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <bezPolozek>false</bezPolozek>
                  
                  <polozkyIntDokladu>
                    <banka-polozka>
                      <id>ext:PREMIER:banka:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </banka-polozka>
                  </polozkyIntDokladu>
                </banka>
              </xsl:when>-->
              
              <xsl:when test="DOKLAD = 'BE'">
                <xsl:choose>
                  
                  <xsl:when test="MD = '563100'">
                  
                </xsl:when>
                
                <xsl:when test="DAL = '663100'">
                  
                </xsl:when>
              
              <xsl:otherwise>
              
                <banka>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  <xsl:choose>
                    <xsl:when test="DAL = '221200'">
                      <typPohybuK>typPohybu.vydej</typPohybuK>
                      <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                    </xsl:when>
                    <xsl:when test="MD = '221200'">
                      <typPohybuK>typPohybu.prijem</typPohybuK>
                      <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                    </xsl:when>
                    <!--<xsl:otherwise>
                      <typPohybuK>typPohybu.prijem</typPohybuK>
                      <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                    </xsl:otherwise>-->
                  </xsl:choose> 
                  
                  <typDokl>code:BE</typDokl>
                  
                  
            		  <xsl:choose>
                  
                    <xsl:when test="MENA != ''">
                      <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                      <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                    	<kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                    </xsl:when> 
                    
                    <xsl:otherwise>
                      <kuk>kuk1-<xsl:value-of select="INTER"/></kuk>
                		  <xsl:for-each select="key('vazba2',INTER)">
                		    <xsl:if test="KOD_TER = 'UD'">
                  		    <kuk>kuk2<xsl:value-of select="KOD_ZDR"/><xsl:value-of select="INT_ZDR"/></kuk>
                  		    <xsl:choose>
                    
                            <xsl:when test="KOD_ZDR = 'VF'">
                              <kuk>kuk3vyd</kuk>
                  		        <xsl:for-each select="key('fak_vyd',INT_ZDR)">
                      		      <kuk>kuk4vyd</kuk>
                      		      <xsl:if test="MENA != ''">
                                  <kuk>kuk5vyd</kuk>
                                  <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                                  <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                          			  <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                                </xsl:if>
                      		    </xsl:for-each>
                      		  </xsl:when>  
                      		    
                      		  <xsl:when test="KOD_ZDR = 'PF'"> 
                      		    <kuk>kuk3prij</kuk>
                      		    <xsl:for-each select="key('fak_prij',INT_ZDR)">
                      		      <kuk>kuk4prij</kuk>
                      		      <xsl:if test="MENA != ''">
                                  <kuk>kuk5prij</kuk>
                                  <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                                  <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                          			  <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                                </xsl:if>
                      		    </xsl:for-each>
                      		  </xsl:when>  
                      		  
                      		</xsl:choose>  
                        </xsl:if>  
                		  </xsl:for-each>     
                    </xsl:otherwise>
                    
                  </xsl:choose>
                	
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  
            			<!--<typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                  <typCenyDphK>typCeny.bezDph</typCenyDphK>
                  <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>-->
                  
                  <bezPolozek>true</bezPolozek>
                
                  <!--<polozkyIntDokladu>
                    <pokladni-pohyb-polozka>
                      <id>ext:PREMIER:pokladna:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </pokladni-pohyb-polozka>
                  </polozkyIntDokladu>-->
                  </banka>
                  
                  
                  </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            
            
            <xsl:when test="DOKLAD = 'B1'">
                <xsl:choose>
                  
                  <xsl:when test="MD = '563100'">
                     
                </xsl:when>
                
                <xsl:when test="DAL = '663100'">
                   
                </xsl:when>
              
              <xsl:otherwise>
            
            
                <banka>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  
                  <xsl:if test="DAL = '221100'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  <xsl:if test="MD = '221100'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                  <typDokl>code:B1</typDokl>
                  
                  
                  <xsl:choose>
                  
                    <xsl:when test="MENA = ''">
                      <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                      <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                    	<kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                    </xsl:when> 
                    
                    <xsl:otherwise>
                      <kuk>kuk1-<xsl:value-of select="INTER"/></kuk>
                		  <xsl:for-each select="key('vazba2',INTER)">
                		    <xsl:if test="KOD_TER = 'UD'">
                  		    <kuk>kuk2<xsl:value-of select="KOD_ZDR"/><xsl:value-of select="INT_ZDR"/></kuk>
                  		    <xsl:choose>
                    
                            <xsl:when test="KOD_ZDR = 'VF'">
                              <kuk>kuk3vyd</kuk>
                  		        <xsl:for-each select="key('fak_vyd',INT_ZDR)">
                      		      <kuk>kuk4vyd</kuk>
                      		      <xsl:if test="MENA != ''">
                                  <kuk>kuk5vyd</kuk>
                                  <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                                  <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                          			  <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                                </xsl:if>
                      		    </xsl:for-each>
                      		  </xsl:when>  
                      		    
                      		  <xsl:when test="KOD_ZDR = 'PF'"> 
                      		    <kuk>kuk3prij</kuk>
                      		    <xsl:for-each select="key('fak_prij',INT_ZDR)">
                      		      <kuk>kuk4prij</kuk>
                      		      <xsl:if test="MENA != ''">
                                  <kuk>kuk5prij</kuk>
                                  <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
                                  <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
                          			  <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
                                </xsl:if>
                      		    </xsl:for-each>
                      		  </xsl:when>  
                      		  
                      		</xsl:choose>  
                        </xsl:if>  
                		  </xsl:for-each>     
                    </xsl:otherwise>
                    
                  </xsl:choose>
                  
                   
                  
                  
                    
                    <!--<xsl:if test="//winstrom/banka[INTER = //winstrom/vazby[INT_TER = ./INTER]/INT_ZDR]/MENA != ''">
                      <kuk>kuk</kuk>
                      <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(//winstrom/vazby[INT_ZDR = ./INTER]/MENA)"/></mena>
                      <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(//winstrom/vazby[INT_ZDR = ./INTER]/KURS)"/></kurz>
              			  <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(//winstrom/vazby[INT_ZDR = ./INTER]/M_KURS)"/></kurzMnozstvi>
                    </xsl:if>-->
                  
                        
            		    
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  
            			<!--<typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                  <typCenyDphK>typCeny.bezDph</typCenyDphK>
                  <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>-->
                  
                  <bezPolozek>true</bezPolozek>
                
                  <!--<polozkyIntDokladu>
                    <pokladni-pohyb-polozka>
                      <id>ext:PREMIER:pokladna:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </pokladni-pohyb-polozka>
                  </polozkyIntDokladu>-->
                </banka>
                
                </xsl:otherwise>
                </xsl:choose>
            </xsl:when>
            
            
            <xsl:when test="DOKLAD = 'B2'">
                <xsl:choose>
                  
                  <xsl:when test="MD = '563100'">
                     
                </xsl:when>
                
                  <xsl:when test="DAL = '663100'">
                   
                </xsl:when>
              
              <xsl:otherwise>
            
                <banka>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  <xsl:if test="DAL = '221110'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  <xsl:if test="MD = '221110'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                  <typDokl>code:B2</typDokl>
                  
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
                	
                  
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  
            			<!--<typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                  <typCenyDphK>typCeny.bezDph</typCenyDphK>
                  <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>-->
                  
                  <bezPolozek>true</bezPolozek>
                
                  <!--<polozkyIntDokladu>
                    <pokladni-pohyb-polozka>
                      <id>ext:PREMIER:pokladna:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </pokladni-pohyb-polozka>
                  </polozkyIntDokladu>-->
                </banka>
                
                </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              
              
              <xsl:when test="DOKLAD = 'ZAP'">
              
                <xsl:choose>
                  
                  <xsl:when test="MD = '563100'">
                      
                </xsl:when>
                
                <xsl:when test="DAL = '663100'">
                  
                </xsl:when>
              
              <xsl:otherwise>
                <banka>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  <xsl:if test="DAL = '395100'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  
                  <xsl:if test="MD = '395100'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                  
                  
                  <typDokl>code:ZAPOCET</typDokl>
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
                	
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  <bezPolozek>true</bezPolozek>
                
                </banka>
                </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              
              <xsl:when test="DOKLAD = 'BEZ'">
                <xsl:choose>
                  
                  <xsl:when test="MD = '563100'">
                    
                </xsl:when>
                
                <xsl:when test="DAL = '663100'">
                    
                </xsl:when>
              
              <xsl:otherwise>
                
                <banka>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  <xsl:if test="DAL = '395100'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  <xsl:if test="MD = '395100'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                  <typDokl>code:ZAPOCET</typDokl>
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
                	
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  <bezPolozek>true</bezPolozek>
                
                </banka>
                </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              
              
              <xsl:when test="DOKLAD = 'P'">
                <pokladni-pohyb>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  <xsl:if test="DAL = '211100'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  <xsl:if test="MD = '211100'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                    <typDokl>code:P</typDokl>
                  
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
                	
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  
            			<!--<typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                  <typCenyDphK>typCeny.bezDph</typCenyDphK>
                  <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>-->
                  
                  <bezPolozek>true</bezPolozek>
                
                  <!--<polozkyIntDokladu>
                    <pokladni-pohyb-polozka>
                      <id>ext:PREMIER:pokladna:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </pokladni-pohyb-polozka>
                  </polozkyIntDokladu>-->
                </pokladni-pohyb>
              </xsl:when>
            
            
            
              <xsl:when test="DOKLAD = 'PE'">
              <xsl:if test="MENA != ''">
                <pokladni-pohyb>
                  <id>ext:PREMIER:<xsl:value-of select="INTER"/></id>
                  
                  <kod><xsl:value-of select="INTER"/></kod>
                  <popis><xsl:value-of select="DOKLAD"/>/<xsl:value-of select="CISLO"/>-<xsl:value-of select="POPIS"/></popis>
                  
                  <xsl:if test="DAL = '211110'">
                    <typPohybuK>typPohybu.vydej</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="MD"/></protiUcet>
                  </xsl:if>
                  <xsl:if test="MD = '211110'">
                    <typPohybuK>typPohybu.prijem</typPohybuK>
                    <protiUcet>code:<xsl:value-of select="DAL"/></protiUcet>
                  </xsl:if>
                  
                    <typDokl>code:PE</typDokl>
                  
                  
            		    <xsl:if test="MENA != ''">
            			    <mena>code:<xsl:value-of select="java:flexibee.Tool.toUpper(MENA)"/></mena>
            			    <kurz><xsl:value-of select="java:flexibee.Tool.parseMoney(KURS)"/></kurz>
            			    <kurzMnozstvi><xsl:value-of select="java:flexibee.Tool.parseMoney(M_KURS)"/></kurzMnozstvi>
            		    </xsl:if>
                	
                  <datVyst><xsl:value-of select="java:flexibee.Tool.parseDate(DATUM, 'd.M.y')"/></datVyst>
                  <sumOsv><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumOsv>
                  <zaokrNaSumK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaSumK>
                  <zaokrNaDphK showAs="!nezaokrouhlovat">zaokrNa.zadne</zaokrNaDphK>
                  
            			<!--<typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                  <typCenyDphK>typCeny.bezDph</typCenyDphK>
                  <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>-->
                  
                  <bezPolozek>true</bezPolozek>
                
                  <!--<polozkyIntDokladu>
                    <pokladni-pohyb-polozka>
                      <id>ext:PREMIER:pokladna:POL<xsl:value-of select="INTER"/></id>
                      <nazev><xsl:value-of select="java:flexibee.Tool.trim(POPIS)"/></nazev>
                      <sumZkl><xsl:value-of select="java:flexibee.Tool.parseMoney(CASTKA)"/></sumZkl>
            			    <typSzbDphK><xsl:value-of select="java:flexibee.Tool.vatToCode(SAZBA_DPH)"/></typSzbDphK>
                      <typCenyDphK>typCeny.bezDph</typCenyDphK>
                      <szbDph><xsl:value-of select="java:flexibee.Tool.parseMoney(SAZBA_DPH)"/></szbDph>
                    </pokladni-pohyb-polozka>
                  </polozkyIntDokladu>-->
                </pokladni-pohyb>
                </xsl:if> 
              </xsl:when>
            </xsl:choose>
          
	  </xsl:if>
	  
  </xsl:template>
</xsl:stylesheet>

                      