<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:java="http://xml.apache.org/xalan/java" exclude-result-prefixes="java"
>
    <xsl:output method="xml" indent="yes" encoding="utf-8" />

    <xsl:template match="Root">
        <winstrom version="1.0">
           <xsl:call-template name="for.loop">  
             <xsl:with-param name="i">  
               <xsl:value-of select="2010"/>  
             </xsl:with-param>  
             <xsl:with-param name="count">  
               <xsl:value-of select="1991"/>  
             </xsl:with-param>  
           </xsl:call-template>
        </winstrom>
    </xsl:template>

    <xsl:template name="for.loop">  
    <!-- for loop templates starts here-->  
      
      <!-- for loop index variable-->  
      <xsl:param name="i" />  
      
      <!-- for loop end variable-->  
      <xsl:param name="count" />  
      
      <!--begin_: Line_by_Line_Output -->  
      <!--<xsl:if test="$i &gt; $count">  -->
        <!-- This $i variable gives the increment value -->  
<!--        <xsl:value-of select="$i"/>  
      </xsl:if>  -->
     
      <!--begin_: RepeatTheLoopUntilFinished-->  
      <xsl:if test="$i &gt; $count">
        <ucetni-obdobi>
          <id>code:<xsl:value-of select="$i"/></id>
          <platiOdData><xsl:value-of select="$i"/>-01-01+01:00</platiOdData>
          <platiDoData><xsl:value-of select="$i"/>-12-31+01:00</platiDoData>
          <rokProRadu><xsl:value-of select="$i"/></rokProRadu>
        </ucetni-obdobi>
        <xsl:call-template name="for.loop">  
          <xsl:with-param name="i">  
            <xsl:value-of select="$i - 1"/>  
          </xsl:with-param>  
          <xsl:with-param name="count">  
            <xsl:value-of select="$count"/>  
          </xsl:with-param>  
        </xsl:call-template>  
      </xsl:if>  
    </xsl:template>  

</xsl:stylesheet>
